<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\AccountHead;
use App\AccountCategory;

class AccountHeadController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $heads = AccountHead::join('account_categories','account_heads.category','=','account_categories.ac_id')->get();
        return view('account_heads.index',compact('heads'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $categories = AccountCategory::latest()->get(); 
        return view('account_heads.create',compact('categories'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $head = new AccountHead;
        $head->head = $request->head;
        $head->category = $request->category;
        $head->save();
        return Redirect('/account_heads')->with('success','Account head added successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $categories = AccountCategory::latest()->get(); 
        $head = AccountHead::join('account_categories','account_heads.category','=','account_categories.ac_id')->find($id);
        return view('account_heads.edit',compact('head','categories'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $head = AccountHead::find($id);
        $head->head = $request->head;
        $head->category = $request->category;
        $head->save();
        return Redirect('/account_heads')->with('success','Account head updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
