<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Auth;
use App\Item;
use App\Counters;
use App\IssueItem;
use App\Issues;
use App\Sale;
use App\VerifiedStock;
use App\Stock;
use App\PurchaseItems;

class CounterStockReport extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $items = [];       
       
        $item_stock=array();
        $stock = array();
        $counter = $request->counter_id;
        if($request->from && $request->to && $request->counter_id){
            
            $from = $request->from;
            $to = $request->to;
            $financial_year_date = date("Y-04-01");
            $previous_day = date('Y-m-d',strtotime($from."-1 days")); 
                   
                  
            
            
            if(in_array(12,$counter) ){
                $items  =  PurchaseItems::join('purchases','purchase_items.purchase_id','=','purchases.p_id')
                                        ->join('items','purchase_items.item_id','=','items.item_id')
                                        ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                                        ->join('units','purchase_items.unit','=','units.u_id')
                                        ->join('item_cases','units.u_id','=','item_cases.unit_id')
                                    //  ->where('purchase_items.counter_id',12)
                                        ->groupBy('purchase_items.unit')
                                        ->groupBy('items.item_id')
                                        ->select('*','units.u_id as unit_id','items.item_id as original_item_id','purchase_items.counter_id as counter_id')
                                        ->orderBy('name','ASC')
                                        ->get();
                    // return $items;
                // $object = json_decode($items);
                // $object->counter_id = '12';
                // $items = json_encode($object);
            }else{
                $items  =  IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                    ->join('items','issue_items.item_id','=','items.item_id')
                    ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                    ->join('units','issue_items.unit_id','=','units.u_id')
                    ->join('item_cases','units.u_id','=','item_cases.unit_id')//->where('items.item_id','11')
                   ->whereIn('issues.counter_id',$counter)
                   ->groupBy('issue_items.unit_id')
                   ->groupBy('items.item_id')
                   ->select('*','issues.counter_id as counter_id','units.u_id as unit_id','items.item_id as original_item_id')
                   ->orderBy('name','ASC')
                    ->get();
            }
            
               
                // return $items;     
            
                 
                  
                    
                    if(count($items)>0){
                        foreach($items as $item){
                            
                            if($item->u_id == 30){
                                $priority = 1;
                            }elseif($item->u_id == 29){
                                $priority = 2;
                                
                            }elseif($item->u_id == 28){
                                $priority = 3;
                                
                            }elseif($item->u_id == 27){
                                $priority = 4;
                                
                            }elseif($item->u_id == 32){
                                $priority = 8;
                                
                            }
                              
                              $prevous_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$request->counter_id)
                               ->whereBetween('issues.date',array($financial_year_date,$previous_day ))
                                ->where('issue_items.measurement','=',0)->sum('issue_items.qty');
                                
                               
                                
                        $prevous_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$request->counter_id)
                               ->whereBetween('issues.date',array($financial_year_date,$previous_day ))
                                ->where('issue_items.measurement','=',1)
                                ->sum('issue_items.qty');
                       
                        
                        $previous_sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->whereNotIn('bill_items.unit_id',array("26","31"))
                                ->where('bill_items.item_unit_id','=',$item->u_id)
                               ->whereIn('sales.counter_id',$request->counter_id)
                               ->whereBetween('sales.date',array($financial_year_date,$previous_day ))
                               ->get();
                               
                        $prev_sale_ltrs = 0;
                        $prev_sale_bottles = 0;
                        foreach($previous_sales as $previous_sale){
                                
                            //$prev_ltrs = ($previous_sale->qty * $previous_sale->ml)/1000;
                            $prev_bottles = $previous_sale->qty;
                                
                            
                            //$prev_sale_ltrs += $prev_ltrs;
                            $prev_sale_bottles += $prev_bottles;
                        }
                                
                           
                            
                                
                        $prev_sale_pegs =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->where('bill_items.unit_id','=',26)
                                ->where('bill_items.item_unit_id','=',$item->u_id)//peg
                               ->whereIn('sales.counter_id',$request->counter_id)
                               ->whereBetween('sales.date',array($financial_year_date,$previous_day ))
                               ->get();
                
                    
                    $prev_pegs = 0;
                    $prev_smalls = 0;
                    foreach($prev_sale_pegs as $prev_sale_peg){
                            
                        $prev_peg = $prev_sale_peg->qty * 60;
                      
                        
                        $prev_pegs += $prev_peg;
                    }
                
                
                
                
                
                     $prev_sale_smalls =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                    ->join('units','bill_items.unit_id','=','units.u_id')
                                    ->where('item_id','=',$item->original_item_id)
                                     ->where('bill_items.item_unit_id','=',$item->u_id)//peg
                                    ->where('bill_items.unit_id','=',31)                              //small
                                   ->whereIn('sales.counter_id',$request->counter_id)
                                   ->whereBetween('sales.date',array($financial_year_date,$previous_day ))
                                   ->get();
                    
                    
                    foreach($prev_sale_smalls as $prev_sale_small){
                                
                            $prev_small = $prev_sale_small->qty * 30;
                          
                            
                            $prev_smalls += $prev_small;
                        }
                                
                                
                        $current_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$request->counter_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',0)
                                ->sum('issue_items.qty');
                                
                                
                        
                         
                        $current_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$request->counter_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                        
                        
                        
                        
                       
                        
                        
                         $sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->whereNotIn('bill_items.unit_id',array("26","31"))
                            //   ->where('bill_items.priority','=',$priority)
                            //   ->where('bill_items.item_unit_id','=',$item->u_id)
                              ->whereIn('sales.counter_id',$request->counter_id)
                              ->whereBetween('sales.date',array($from,$to ))
                               ->get();
                               
                        $sale_ltrs = 0;
                        $sale_bottles = 0;
                        foreach($sales as $sale){
                                
                            //$ltrs = ($sale->qty * $sale->ml)/1000;
                            $bottles = $sale->qty;
                                
                            
                            //$sale_ltrs += $ltrs;
                            $sale_bottles += $bottles;
                        }
                                
                            
                      
                                
                        $sale_pegs =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                //->join('items','bill_items.item_id','=','items.item_id')
                                // ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('bill_items.item_id','=',$item->original_item_id)
                               ->where('bill_items.unit_id','=',26)                              //peg
                                // ->where('bill_items.priority','=',$item->priority)
                              ->whereIn('sales.counter_id',$request->counter_id)
                              ->whereBetween('sales.date',array($from,$to ))
                               ->get();
                
                    $pegs = 0;
                    $smalls = 0;
                    foreach($sale_pegs as $sale_peg){
                            
                        $peg = $sale_peg->qty * 60;
                        $pegs += $peg;
                    }
                
                
               
                
                     $sale_smalls =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                    ->join('units','bill_items.unit_id','=','units.u_id')
                                    ->where('item_id','=',$item->original_item_id)
                                   
                                    ->where('bill_items.unit_id','=',31)                              //small
                                    ->Where('bill_items.priority','=',$item->priority)
                                   ->whereIn('sales.counter_id',$request->counter_id)
                                   ->whereBetween('sales.date',array($from,$to ))
                                   ->get();
                    
                    
                    foreach($sale_smalls as $sale_small){
                                
                            $small = $sale_small->qty * 30;
                            $smalls += $small;
                        }
                        
                        
                       
                        
                        $res =0;
                        
                        $ml = $smalls + $pegs;
                        // $prev_ml = $prev_smalls + $prev_pegs;
                        
                        $res =  $ml/60;
                        // $prev_res = $prev_ml/60;
                        
                        
                        
                        
                        
                        // $previous_bottle_count  =   $prevous_case_count  *  $item->case_count + $prevous_bootle_count - $prev_sale_bottles ;   
                        $current_bottle_count  =   $current_case_count  *  $item->case_count + $current_bootle_count;   
                        
                       
                   
                        // $previous_ltrs = ($previous_bottle_count * $item->ml - $prev_ml) / $item->ml;
                        
                        
                        // $op_bottle = floor($previous_ltrs); 
                        
                        // $op_peg = $previous_ltrs - $op_bottle;
                        
                        // $op_pegs = ($op_peg * $item->ml)/60;
                        
                        // $op_pegs = number_format((float)$op_pegs, 2, '.', '');
                        
                        $op_stock = VerifiedStock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$request->from)->get();
                        if(count($op_stock) > 0){
                            $op_bottle = $op_stock->sum('bottles');
                            $op_peg = $op_stock->sum('pegs');
                        }else{
                            $op_stock = VerifiedStock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date', VerifiedStock::where('counter_id','=',12)->max('date'))->orderBy('date','desc')->get();
                            $op_bottle = $op_stock->sum('bottles');
                            $op_peg = $op_stock->sum('pegs');
                        }
                        
                        
                        
                        
                        
                        
                       
                        
                        $cl_stock = Stock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)->get();
                            $cl_bottle = $cl_stock->sum('bottles');
                            $cl_peg = $cl_stock->sum('pegs');
                        
                        
                        
                        
                           // $stock = array();
                            $stock[] = [
                                    "head" => $item->ih_name,
                                    "name" =>$item->name,
                                    "unit"=> $item->u_name,
                                    "op_bottles" =>$op_bottle,
                                    "op_pegs"=>$op_peg,
                                    "sale_bottles"=>$sale_bottles,
                                    "sale_pegs" =>$res,
                                    "cls_bottles"=>$cl_bottle,
                                    "cls_pegs" =>$cl_peg,
                                    "issue_bottles" =>$current_bottle_count,
                                    "issue_pegs" => 0,
                                    
                                ];
                            // array_push($stock,$item->ih_name );
                            // array_push($stock,$item->name );
                            // array_push($stock,$item->u_name );
                            // array_push($stock,$op_bottle);
                            // array_push($stock,$op_peg);
                            // array_push($stock, $sale_bottles);
                            // array_push($stock, $res );
                            // array_push($stock,$cl_bottle );
                            // array_push($stock,$cl_peg );
                            // array_push($stock,$current_bottle_count );
                            // array_push($stock,0);
                          //  array_push($item_stock,$stock);
                           
                          
                           
                        }
                        
                    }
                    
                    
                   
                    
        }
        
        
       
         $tmp = array();
 
        foreach($stock as $arg)
        {
            $old_arg =  $arg;
            
            unset($arg["head"]);
           
            $tmp[$old_arg['head']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'head' => $type,
            'items' => $labels
        );
        }
        
         $stock_array =  array();
        
        if(count($output) > 0 ){
            foreach($output as $out){
                $stocks = array();
                $stocks[] = [ $out["head"],"","","","","","","","","",""];
                
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $stocks[] = [ "",$ou["name"],$ou["unit"],$ou["op_bottles"],$ou["op_pegs"],$ou["issue_bottles"],$ou["issue_pegs"],$ou["sale_bottles"],$ou["sale_pegs"],$ou["cls_bottles"],$ou["cls_pegs"]];
                       
                   }
                 }
               
                array_push($stock_array,$stocks);
                
            }
        }
        
        
        
       
   
          $counters =  Counters::where('purpose','=','1')->get();
        return view('reports.counter_stock_report')->with('counters',$counters)->with('items',$stock_array);
        
       
    }
    
    
    
         
    public function getBottle($item_stock){
           
            	$temp = $item_stock;
                $tmp_add_stock = 0;
                
                $result_array = array(); 
                	foreach($temp as $bottle)
                {
                   
                   $peg  =  $bottle["close_pegs"] ; 
                        if(  $peg >= 60 )
                        {	
                        	$bottle["close_pegs"] = $bottle["close_pegs"] + $tmp_add_stock;
                        	$tmp_add_stock = 0;
                        	return $bottle;
                        }else {	
                        	$bottle["close_bottle"] = $bottle["close_bottle"] - 1;
                            $tmp_add_stock = $tmp_add_stock + $bottle["close_pegs"];
                        	$bottle["close_pegs"] = 0;
                        	
                        
                        	
                        	
                        }
                
                }
        }
    
    

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
   
    
    
}
