<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Sale;

class CounterWiseSaleReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $from = $request->from;
        $to = $request->to;
        $date = date('Y-m-d');
        $reports = array(); 
        
        
        $sales = Sale::join('counters','sales.counter_id','=','counters.cntr_id')->groupBy('counter_name');
        
        
        if($from && $to ){
            
            $sales = $sales->whereBetween('date',array($from,$to))->get();
            
            $date1 = $from;
            $date2 = $to;
            
        }else{
            
            $sales = $sales->where('date',$date)->get();
            
            $date1 = $date;
            $date2 = $date;
        }
        
        
        $total_net = 0;
        
        if(count($sales) > 0){
            foreach($sales as $sale){
                
                $net_sale = Sale::where('counter_id','=',$sale->counter_id)->whereBetween('date',array($date1,$date2))->sum('amount');
                
                $reports[] = [
                        
                        'counter' => $sale->counter_name,
                        'date' => $sale->date,
                        'gross' => 0,
                        'tax' => 0,
                        'net' => $net_sale,
                    
                    ];
                
                $total_net += $net_sale;
            }
        }
        
        
        return view('reports.counter_wise_sale_report',compact('reports','total_net'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
