<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\AccountTransaction;

class DetailedTransactionsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $transactions = array();
        $credit_sum = 0;
            $debit_sum = 0;
        if($request->from && $request->to){
            
            $heads = AccountTransaction::join('account_heads','account_transactions.head_id','=','account_heads.ah_id')
                                            ->join('payment_methods','account_transactions.payment_method_id','=','payment_methods.pm_id')
                                            ->join('account_categories','account_transactions.category','=','account_categories.ac_id')
                                            ->leftJoin('banks','account_transactions.bank_id','=','banks.b_id')
                                            ->whereBetween('date',array($request->from,$request->to))
                                            ->orderBy('type','desc')
                                            ->get();
                       
            
            if(count($heads) > 0){
                foreach($heads as $head){
                    
                    if($head->type == 1){
                        $credit =  $head->amount;
                        $debit = 0;
                    }else{
                        $credit = 0;
                        $debit = $head->amount;
                    }
                    
                    $transactions[] = [
                            'date' => $head->date,
                            'head' => $head->head,
                            'remarks' => $head->remarks,
                            'credit' => $credit,
                            'debit' => $debit,
                            'bank' => $head->bank_name,
                            
                        ];
                    
                    $credit_sum += $credit;
                    $debit_sum += $debit;
                }
            }                     
            
                                            
        }
        $from = $request->from;
        $to = $request->to;
        return view('account_transactions.detailed_transactions',compact('transactions','from','to','credit_sum','debit_sum'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
