<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Counters;
use Auth;
use App\Item;
use App\IssueItem;
use App\Issues;
use App\Sale;
use App\Purchases;
use App\VerifiedStock;
use App\Stock;
use App\PurchaseItems;

class ExerciseReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        
        $items = [];       
         $stock = array();
        $date = date('Y-m-d');
        $financial_year_date = date("Y-04-01");
        $counters = Counters::where('purpose','=','1')->get();
        
        if($request->from && $request->to ){
            
            $from = $request->from;
            $to = $request->to;
            $previous_day = date('Y-m-d',strtotime($from."-1 days")); 
            $items  = Item::join('item_categories','items.category_id','=','item_categories.ic_id')
                            ->join('item_cases','items.item_id','=','item_cases.item_id')
                            ->join('units','item_cases.unit_id','=','units.u_id')
                            ->select('*','units.u_id as unit_id','items.item_id as original_item_id')
                            ->orderBy('items.name','ASC')
                            ->get();
                            
                           
        
         
                    if(count($items)>0){
                        foreach($items as $item){
                        
                        if($item->u_id == 30){
                                $priority = 1;
                            }elseif($item->u_id == 29){
                                $priority = 2;
                                
                            }elseif($item->u_id == 28){
                                $priority = 3;
                                
                            }elseif($item->u_id == 27){
                                $priority = 4;
                                
                            }elseif($item->u_id == 32){
                                $priority = 8;
                                
                            }
                          
                           
                      
                                
                                
                        $purchase_case_count = Purchases::join('purchase_items','purchases.p_id','=','purchase_items.purchase_id')
                                 ->where('purchase_items.unit','=',$item->u_id)
                                ->where('purchase_items.item_id','=',$item->original_item_id)
                               ->whereBetween('purchases.date',array($from,$to ))
                                ->where('purchase_items.measurement','=',0)
                                ->sum('purchase_items.quantity');
                                
                                
                        
                         
                        $purchase_bottles_count = Purchases::join('purchase_items','purchases.p_id','=','purchase_items.purchase_id')
                                 ->where('purchase_items.unit','=',$item->u_id)
                                ->where('purchase_items.item_id','=',$item->original_item_id)
                               ->whereBetween('purchases.date',array($from,$to ))
                                ->where('purchase_items.measurement','=',1)->sum('purchase_items.quantity');
                        
                       
                        
                        
                         $sale_bottles = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->whereNotIn('bill_items.unit_id',array("26","31"))
                               ->where('bill_items.item_unit_id','=',$item->u_id)
                               ->whereBetween('sales.date',array($from,$to ))
                               ->sum("bill_items.qty");
                                
                                
                        $sale_pegs =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->where('bill_items.unit_id','=',26)                              //peg
                                ->Where('bill_items.priority','=',$item->priority)
                               //->whereIn('sales.counter_id',$counter)
                               ->whereBetween('sales.date',array($from,$to ))
                              ->sum("bill_items.qty");
                           
                        
                        $op_stock = VerifiedStock:: 
                                         where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$from)->get();
                                        
                                        
                        $current_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->unit_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',0)
                                ->sum('issue_items.qty');
                                
                                  
                        
                         
                        $current_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->unit_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                              
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',1)->sum('issue_items.qty');              
                                        
                              $current_bottle_count  =   $current_case_count  *  $item->case_count + $current_bootle_count;           
                                      
                        
                        if(count($op_stock) > 0){
                            $op_bottle = VerifiedStock:: 
                                         where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$from)->sum("bottles");
                            $op_peg = VerifiedStock:: 
                                         where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$from)->sum("pegs");
                        }else{
                           $op_stock = VerifiedStock::  
                                        where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date', VerifiedStock::max('date')    )
                                        ->orderBy('date','desc')->get();
                            $op_bottle = $op_stock->sum('bottles');
                            $op_peg = $op_stock->sum('pegs');
                        }
                        
                        
                        $op_total_ml = ($op_bottle * $item->ml) + ($op_peg * 60);
                        $total_op_pegs = $op_total_ml / $item->ml;
                        $op_bot = floor($total_op_pegs);
                        $op_peg_balance = $total_op_pegs - $op_bot;
                        $op_peg = $op_peg_balance * $item->ml/60;
                        $op_peg = number_format((float)$op_peg, 2, '.', '');
                        
                       $op_bot = $op_bot + $current_bottle_count;
                        
                        
                        
                        $purchase_bottle  =  $purchase_case_count * $item->case_count + $purchase_bottles_count;
                        
                        $purchase_peg = 0;
                        
                        $total_bottle = $op_bot + $purchase_bottle ;
                        
                        $total_peg = $op_peg + $purchase_peg;
                        
                        $closing_bottle_count  = $total_bottle - $sale_bottles +($op_peg*60/$item->ml) ;
                        
                        $sale_total_ml =0;
                       
                        
                        $sale_total_ml = ($sale_bottles * $item->ml) + ($sale_pegs * 60);
                      
                        $total_sale_pegs = $sale_total_ml / $item->ml;
                        $sale_bot  = floor($total_sale_pegs);
                        $sale_peg_balance = $total_sale_pegs - $sale_bot;
                        $sale_peg = $sale_peg_balance * $item->ml/60;
                        $sale_peg= number_format((float)$sale_peg, 2, '.', '');
                        
                        
                   
                        
                        $cl_bottle = 0 ; $cl_peg = 0 ;
                        $total_mls = (( $op_bot + $purchase_bottle) * $item->ml )+ ( $op_peg + $purchase_peg) * 60 ;
                        $total_sale_pegs = ($sale_bottles * $item->ml) + $sale_pegs *60  ;
                        $final_mls = $total_mls - $total_sale_pegs;
                        
                         $total_peg_count =  $final_mls/$item->ml ; 
                           
                          
                             $cl_bottle = floor($total_peg_count);      // 1
                             $fraction = $total_peg_count - $cl_bottle;
                           
                             $fraction = $fraction * $item->ml/60;  
                            $cl_peg =  number_format((float)$fraction, 2, '.', '');
                       
                   // $total_bottles = $cl_bottle * $item->ml;
                          
                            if($cl_bottle > 0 || $cl_peg > 0  ){
                                $stock[]=[
                                    "category"=>$item->category,
                                    "name"=>$item->name,
                                    "unit"=>$item->u_name,
                                    "op_bottle" =>$op_bot,
                                    "op_peg"=>number_format((float)$op_peg, 2, '.', ''),
                                    "pur_bottle"=>$purchase_bottle,
                                    "pur_peg" =>$purchase_peg,
                                    "tot_bottle"=>$total_bottle,
                                    "tot_peg"=>$total_peg,
                                    "sale_bottle"=>$sale_bot,
                                    "sale_peg"=>$sale_peg,
                                    "cls_bottle"=>$cl_bottle,
                                    "cls_peg"=>$cl_peg
                                    
                                    
                                    ];
                                
                                
                               
                            }
                           
                        }
                        
                    }
        }
        
        
        
         $tmp = array();
 
        foreach($stock as $arg)
        {
            $old_arg =  $arg;
            
            unset($arg["category"]);
           
            $tmp[$old_arg['category']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'category' => $type,
            'items' => $labels
        );
        }
        
         $stock_array =  array();
        
        if(count($output) > 0 ){
            foreach($output as $out){
                $stocks = array();
                $stocks[] = [ $out["category"],"","","","","","","","","","",'',''];
                
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $stocks[] = [ "",$ou["name"],$ou["unit"],$ou["op_bottle"],$ou["op_peg"],$ou["pur_bottle"],$ou["pur_peg"],$ou["tot_bottle"],$ou["tot_peg"],$ou["sale_bottle"],$ou["sale_peg"],$ou["cls_bottle"],$ou["cls_peg"]];
                       
                   }
                 }
               
                array_push($stock_array,$stocks);
                
            }
        }
        
        
        
        return view('reports.exercise_report')->with('counters',$counters)->with('items',$stock_array);
    }
    
    
    
    
    public function exercise_report_in_mls(Request $request){
        
      
        
         $items = [];       
         $stock = array();
        $date = date('Y-m-d');
        $financial_year_date = date("Y-04-01");
        $counters = Counters::where('purpose','=','1')->get();
        
        if($request->from && $request->to ){
            
            $from = $request->from;
            $to = $request->to;
            $previous_day = date('Y-m-d',strtotime($from."-1 days")); 
            $items  = Item::join('item_categories','items.category_id','=','item_categories.ic_id')
                            ->join('item_cases','items.item_id','=','item_cases.item_id')
                            ->join('units','item_cases.unit_id','=','units.u_id')
                            ->select('*','units.u_id as unit_id','items.item_id as original_item_id')
                            ->orderBy('items.name','ASC')
                            ->get();
                            
                           
        
         
                    if(count($items)>0){
                        foreach($items as $item){
                        
                        if($item->u_id == 30){
                                $priority = 1;
                            }elseif($item->u_id == 29){
                                $priority = 2;
                                
                            }elseif($item->u_id == 28){
                                $priority = 3;
                                
                            }elseif($item->u_id == 27){
                                $priority = 4;
                                
                            }elseif($item->u_id == 32){
                                $priority = 8;
                                
                            }
                          
                           
                      
                                
                                
                        $purchase_case_count = Purchases::join('purchase_items','purchases.p_id','=','purchase_items.purchase_id')
                                 ->where('purchase_items.unit','=',$item->u_id)
                                ->where('purchase_items.item_id','=',$item->original_item_id)
                               ->whereBetween('purchases.date',array($from,$to ))
                                ->where('purchase_items.measurement','=',0)
                                ->sum('purchase_items.quantity');
                                
                                
                        
                         
                        $purchase_bottles_count = Purchases::join('purchase_items','purchases.p_id','=','purchase_items.purchase_id')
                                 ->where('purchase_items.unit','=',$item->u_id)
                                ->where('purchase_items.item_id','=',$item->original_item_id)
                               ->whereBetween('purchases.date',array($from,$to ))
                                ->where('purchase_items.measurement','=',1)->sum('purchase_items.quantity');
                        
                       
                        
                        
                         $sale_bottles = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->whereNotIn('bill_items.unit_id',array("26","31"))
                               ->where('bill_items.item_unit_id','=',$item->u_id)
                               ->whereBetween('sales.date',array($from,$to ))
                               ->sum("bill_items.qty");
                                
                                
                        $sale_pegs =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->where('bill_items.unit_id','=',26)                              //peg
                                ->Where('bill_items.priority','=',$item->priority)
                               //->whereIn('sales.counter_id',$counter)
                               ->whereBetween('sales.date',array($from,$to ))
                              ->sum("bill_items.qty");
                           
                        
                        $op_stock = VerifiedStock:: 
                                         where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$from)->get();
                                        
                                        
                        $current_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->unit_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',0)
                                ->sum('issue_items.qty');
                                
                                  
                        
                         
                        $current_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->unit_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                              
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',1)->sum('issue_items.qty');              
                                        
                              $current_bottle_count  =   $current_case_count  *  $item->case_count + $current_bootle_count;           
                                      
                        
                        if(count($op_stock) > 0){
                            $op_bottle = VerifiedStock:: 
                                         where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$from)->sum("bottles");
                            $op_peg = VerifiedStock:: 
                                         where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$from)->sum("pegs");
                        }else{
                           $op_stock = VerifiedStock::  
                                        where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date', VerifiedStock::max('date')    )
                                        ->orderBy('date','desc')->get();
                            $op_bottle = $op_stock->sum('bottles');
                            $op_peg = $op_stock->sum('pegs');
                        }
                        
                        
                        $op_total_ml = ($op_bottle * $item->ml) + ($op_peg * 60);
                        $total_op_pegs = $op_total_ml / $item->ml;
                        $op_bot = floor($total_op_pegs);
                        $op_peg_balance = $total_op_pegs - $op_bot;
                        $op_peg = $op_peg_balance * $item->ml/60;
                        $op_peg = number_format((float)$op_peg, 2, '.', '');
                        
                       $op_bot = $op_bot + $current_bottle_count;
                        
                        
                        
                        $purchase_bottle  =  $purchase_case_count * $item->case_count + $purchase_bottles_count;
                        
                        $purchase_peg = 0;
                        
                        $total_bottle = $op_bot + $purchase_bottle ;
                        
                        $total_peg = $op_peg + $purchase_peg;
                        
                        $closing_bottle_count  = $total_bottle - $sale_bottles +($op_peg*60/$item->ml) ;
                        
                        $sale_total_ml =0;
                       
                        
                        $sale_total_ml = ($sale_bottles * $item->ml) + ($sale_pegs * 60);
                      
                        $total_sale_pegs = $sale_total_ml / $item->ml;
                        $sale_bot  = floor($total_sale_pegs);
                        $sale_peg_balance = $total_sale_pegs - $sale_bot;
                        $sale_peg = $sale_peg_balance * $item->ml/60;
                        $sale_peg= number_format((float)$sale_peg, 2, '.', '');
                        
                        
                   
                        
                        $cl_bottle = 0 ; $cl_peg = 0 ;
                        $total_mls = (( $op_bot + $purchase_bottle) * $item->ml )+ ( $op_peg + $purchase_peg) * 60 ;
                        $total_sale_pegs = ($sale_bottles * $item->ml) + $sale_pegs *60  ;
                        $final_mls = $total_mls - $total_sale_pegs;
                        
                         $total_peg_count =  $final_mls/$item->ml ; 
                           
                          
                             $cl_bottle = floor($total_peg_count);      // 1
                             $fraction = $total_peg_count - $cl_bottle;
                           
                             $fraction = $fraction * $item->ml/60;  
                            $cl_peg =  number_format((float)$fraction, 2, '.', '');
                       
                   // $total_bottles = $cl_bottle * $item->ml;
                          
                            if($cl_bottle > 0 || $cl_peg > 0  ){
                                $stock[]=[
                                    "category"=>$item->category,
                                    "name"=>$item->name,
                                    "unit"=>$item->u_name,
                                    "op_bottle" =>$op_bot,
                                    "op_peg"=>number_format((float)$op_peg, 2, '.', ''),
                                    "pur_bottle"=>$purchase_bottle,
                                    "pur_peg" =>$purchase_peg,
                                    "tot_bottle"=>$total_bottle,
                                    "tot_peg"=>$total_peg,
                                    "sale_bottle"=>$sale_bot,
                                    "sale_peg"=>$sale_peg,
                                    "cls_bottle"=>$cl_bottle,
                                    "cls_peg"=>$cl_peg
                                    
                                    
                                    ];
                                
                                
                               
                            }
                           
                        }
                        
                    }
        }
        
        
        
         $tmp = array();
 
        foreach($stock as $arg)
        {
            $old_arg =  $arg;
            
            unset($arg["category"]);
           
            $tmp[$old_arg['category']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'category' => $type,
            'items' => $labels
        );
        }
        
         $stock_array =  array();
        
        if(count($output) > 0 ){
            foreach($output as $out){
                $stocks = array();
                $stocks[] = [ $out["category"],"","","","","","","","","","",'',''];
                
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $stocks[] = [ "",$ou["name"],$ou["unit"],$ou["op_bottle"],$ou["op_peg"],$ou["pur_bottle"],$ou["pur_peg"],$ou["tot_bottle"],$ou["tot_peg"],$ou["sale_bottle"],$ou["sale_peg"],$ou["cls_bottle"],$ou["cls_peg"]];
                       
                   }
                 }
               
                array_push($stock_array,$stocks);
                
            }
        }
        
        
        
        return view('reports.exercise_report_in_mls')->with('counters',$counters)->with('items',$stock_array);
        
    }
    
    
    
    
    
    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
