<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Auth;
use App\BillItems;
use App\Bills;
use App\Purchases;
use App\Counters;
use App\Sale;
use App\KitchenPurchase;
use App\AccountTransaction;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index(Request $request)
    {
        
        $finYear = date('2022-04-01');
        if($request->date){
            $date = $request->date;
            $date1 = $finYear;
            $date2 = date('Y-m-d',strtotime($date ."-1 days"));
        }else{
            $date = date('Y-m-d');
            $date1 = $finYear;
            $date2 = date('Y-m-d',strtotime($date ."-1 days"));
        }
        $sale_array = array();
        $purchase = Purchases::join('purchase_items','purchases.p_id','=','purchase_items.purchase_id')->where('purchases.date','=',$date)->sum('grand_total');
        
        // if(Auth::user()->role == 1) //ADMIN
        // {
            $counters = Counters::where('purpose','=','1')->get();
            foreach($counters as $counter){
                $sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->where('date','=',$date)
                                ->where('sales.counter_id','=',$counter->cntr_id)
                                ->get();
                                
                // if(count($sales) > 0){
                    $sale_array[] = [
                        'counter' => $counter->counter_name,
                        'count' => $sales->count(),
                        'amount' => $sales->sum('sales.amount'),
                    
                    ];
                    
                // };
            }
                
            
            $kitchen_purchase = KitchenPurchase::where('purchase_date','=',$date)->sum('net_amount');
            
        // }
        
        //opening balance
        $op_credit = AccountTransaction::whereBetween('date',array($date1,$date2))->where('type','=','1')->sum('amount');
        $op_debit = AccountTransaction::whereBetween('date',array($date1,$date2))->where('type','=','2')->sum('amount');
        $opening_balance = $op_credit - $op_debit;
        
        //closing balance
        $cl_credit = AccountTransaction::whereBetween('date',array($date,$date))->where('type','=','1')->sum('amount');
        $cl_debit = AccountTransaction::whereBetween('date',array($date,$date))->where('type','=','2')->sum('amount');
        $closing_balance = $opening_balance + $cl_credit - $cl_debit;
        
       
        if(Auth::user()->role == 2){
            return redirect('/kitchen');
        }elseif(Auth::user()->role == 0){
            return redirect('/sales/create');
        }else{
            return view('home',compact('sales','purchase','counters','sale_array','kitchen_purchase','opening_balance','closing_balance','cl_credit','cl_debit'));
        }
        
    }
}
