<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Counters;
use App\Item;
use App\Issue;
use App\Units;
use App\IssueItem;
use Auth;
use DB;
use App\PurchaseItems;
use App\Stock;
use App\ItemCase;

class IssueController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $counters = Counters::where('purpose','=','1')->get();
        if(Auth::user()->role == 0){
            $issues= Issue::join('counters','issues.counter_id','=','counters.cntr_id')->where('issues.from_counter_id','=',Auth::user()->counter_id);
        }else{
            $issues= Issue::join('counters','issues.counter_id','=','counters.cntr_id');
        }
        
        if($request->from && $request->to){
            $issues= ($issues)->whereBetween('date',array($request->from,$request->to));
            
        }else{
            $issues= ($issues)->where('date','=',date('Y-m-d'));
        }
        if($request->counter_id){
            $issues= ($issues)->where('counter_id','=',$request->counter_id);
        }
        
        $issues= ($issues)->get();
        return view('issue.index')->with('issues',$issues)->with('counters',$counters);
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $counters = Counters::where('purpose','=','1')->get();
        $units = Units::all();
        $items = PurchaseItems::join('items','purchase_items.item_id','=','items.item_id')
                ->where('items.item_head_id','!=','5')
                ->groupBy('items.item_id')
                ->orderBy('name','asc')->get();
        $issue_no = DB::table('issue_numbers')->first();
        return view('issue.create',compact('counters','items','units','issue_no'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
       
        $issue  =  new Issue;
        $issue->issue_no = $request->issue_no;
        $issue->date = $request->date;
        $issue->counter_id = $request->counter_id;
        $issue->from_counter_id = $request->from_counter_id;
        $issue->status = $request->status;
        $issue->save();
        DB::table('issue_numbers')->limit(1)->update(['issue_no' => $request->issue_no + 1]);
        if(count($request->item_names) > 0 ){
           for($i = 0 ; $i < count($request->item_names) ; $i++  ){
               $item  = new IssueItem ;
               $item->issue_id = $issue->i_id;
               $item->item_id = $request->item_names[$i];
               $item->measurement	 =  $request->measurement[$i];
               $item->unit_id = $request->unit[$i];
               $item->qty = $request->qty[$i];
               $item->save();
               
               
                $general_stock  = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->from_counter_id)->first();
               
                $stockCount = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->counter_id)->get();
                
                if($request->measurement[$i] == 0){
                    
                    $case = ItemCase::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->first();
                    $bottles = $request->qty[$i] * $case->case_count;
                    
                }else{
                    
                    $bottles = $request->qty[$i];
                    
                }
                $ml = Units::where('u_id',$request->unit[$i])->first();
                $total_ml = $bottles * $ml->ml;
                
                
                
                if(count($stockCount) == 0){
                    
                    if($general_stock){
                        if($general_stock->bottles >= $bottles ){
                            
                            $stocks = new Stock;
                            $stocks->item_id = $request->item_names[$i];
                            $stocks->unit_id = $request->unit[$i];
                            $stocks->counter_id = $request->counter_id;
                            $stocks->bottles = $bottles;
                            $stocks->total_ml = $bottles * $ml->ml;
                            $stocks->pegs = 0;
                            $stocks->priority = $ml->priority;
                            $stocks->save();
                         
                            $general_stocks = Stock::where('item_id',$request->item_names[$i])
                                        ->where('unit_id',$request->unit[$i])
                                        ->where('counter_id',$request->from_counter_id)
                                        ->limit(1)->update([
                                            
                                                    'bottles' => $general_stock->bottles - $bottles,
                                                    // 'total_ml' => $general_stock->total_ml - $total_ml,
                                                    // 'pegs'=> $general_stock->pegs - 0,
                                            
                                            ]);   
                        }
                    }
                    
                }else{
                    
                    
                    $general_stock   = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->from_counter_id)->first();
                    if($general_stock){
                    if($general_stock->bottles >= $bottles ){
                       
                         $general_stocks = Stock::where('item_id',$request->item_names[$i])
                                    ->where('unit_id',$request->unit[$i])
                                    ->where('counter_id',$request->from_counter_id)
                                    ->limit(1)->update([
                                        
                                                'bottles' => $general_stock->bottles - $bottles,
                                                'total_ml' => $general_stock->total_ml - $total_ml,
                                                'pegs'=> $general_stock->pegs - 0,
                                        
                                        ]);
                                        
                                        
                           $stock = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->counter_id)->first();
                    
                            $stocks = Stock::where('item_id',$request->item_names[$i])
                                    ->where('unit_id',$request->unit[$i])
                                    ->where('counter_id',$request->counter_id)
                                    ->limit(1)->update([
                                        
                                                'bottles' => $stock->bottles + $bottles,
                                                'total_ml' => $stock->total_ml + $total_ml,
                                                'pegs'=> $stock->pegs + 0,
                                        
                                        ]);            
                        
                    }
                }
                }
           }
        }
        
        
        
       return redirect("/issue")->with('success','Issue added Successfully');
       
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        $issue_item = IssueItem::join('items','issue_items.item_id','=','items.item_id')
                        ->join('units','issue_items.unit_id','=','units.u_id')
                        ->where('issue_id','=',$id)->get();
        return view('issue.issued_item',compact('issue_item'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $counters = Counters::where('purpose','=','1')->get();
        $units = Units::all();
        $items = Item::where('item_head_id','!=','5')->orderBy('name','asc')->get();
        $issue= Issue::join('counters as from_counter','issues.from_counter_id','=','from_counter.cntr_id')
                        ->join('counters','issues.counter_id','=','counters.cntr_id')
                        ->select('*','from_counter.counter_name as from_counter_name','from_counter.cntr_id as fc_id')
                        ->find($id);
        $issue_item = IssueItem::join('items','issue_items.item_id','=','items.item_id')
                        ->join('units','issue_items.unit_id','=','units.u_id')
                        ->where('issue_id','=',$id)->get();
        return view('issue.edit',compact('issue','counters','items','units','issue_item'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        
        $issue  =   Issue::find($id);
        $issue->issue_no = $request->issue_no;
        $issue->date = $request->date;
        $issue->counter_id = $request->counter_id;
        $issue->from_counter_id = $request->from_counter_id;
        $issue->status = $request->status;
        $issue->save();
           
        
        $issue_items = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')->where('issue_id','=',$id)->get();
        
        foreach($issue_items as $issue_item){
            
            $prev_stock_from = Stock::where('item_id',$issue_item->item_id)
                                ->where('unit_id',$issue_item->unit_id)
                                ->where('counter_id',$issue_item->from_counter_id)->first();
            
           
            $prev_stock_to = Stock::where('item_id',$issue_item->item_id)
                                ->where('unit_id',$issue_item->unit_id)
                                ->where('counter_id',$issue_item->counter_id)->first();
                                
            
            if($issue_item->measurement == 0){
                
                $case = ItemCase::where('item_id',$issue_item->item_id)->where('unit_id',$issue_item->unit_id)->first();
                $prev_bottles = $issue_item->qty * $case->case_count;
                
            }else{
                
                $prev_bottles = $issue_item->qty;
                
            }
            
            // return $prev_stock_from->bottles + $prev_bottles;
            $ml = Units::where('u_id',$issue_item->unit_id)->first();
            $prev_total_ml = $prev_bottles * $ml->ml;
            
            
           if($prev_stock_from){
                $from_stock_update = Stock::where('item_id',$issue_item->item_id)
                                        ->where('unit_id',$issue_item->unit_id)
                                        ->where('counter_id',$issue_item->from_counter_id)
                                        ->limit(1)->update([
                                            
                                                    'bottles' => $prev_stock_from->bottles + $prev_bottles,
                                                   // 'total_ml' => $prev_stock_from->total_ml + $prev_total_ml,
                                            
                                            ]);
           }
           if($prev_stock_to){
            $to_stock_update = Stock::where('item_id',$issue_item->item_id)
                                    ->where('unit_id',$issue_item->unit_id)
                                    ->where('counter_id',$issue_item->counter_id)
                                    ->limit(1)->update([
                                        
                                                'bottles' => $prev_stock_to->bottles - $prev_bottles,
                                              //  'total_ml' => $prev_stock_to->total_ml - $prev_total_ml,
                                        
                                        ]);
           }
            
        }
           
           
       IssueItem::where('issue_id','=',$id)->forceDelete();
       if(count($request->item_names) > 0 ){
           for($i = 0 ; $i < count($request->item_names) ; $i++  ){
               $item  = new IssueItem ;
               $item->issue_id = $issue->i_id;
               $item->item_id = $request->item_names[$i];
               $item->unit_id = $request->unit[$i];
                $item->measurement	 =  $request->measurement[$i];
               $item->qty = $request->qty[$i];
               $item->save();
               
               
               $general_stock  = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->from_counter_id)->first();
               
                $stockCount = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->counter_id)->get();
                
                if($request->measurement[$i] == 0){
                    
                    $case = ItemCase::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->first();
                    $bottles = $request->qty[$i] * $case->case_count;
                    
                }else{
                    
                    $bottles = $request->qty[$i];
                    
                }
                $ml = Units::where('u_id',$request->unit[$i])->first();
                $total_ml = $bottles * $ml->ml;
                
                
                
               // return  $general_stock;
                
                
                if(count($stockCount) == 0){
                    if($general_stock != NULL)
                    {
                        if($general_stock->bottles > $bottles ){
                            
                            $stocks = new Stock;
                            $stocks->item_id = $request->item_names[$i];
                            $stocks->unit_id = $request->unit[$i];
                            $stocks->counter_id = $request->counter_id;
                            $stocks->bottles = $bottles;
                            $stocks->total_ml = $bottles * $ml->ml;
                            $stocks->pegs = 0;
                            $stocks->priority = $ml->priority;
                            $stocks->save();
                            
                        }
                    }
                    
                }else{
                    
                    
                    $general_stock   = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->from_counter_id)->first();
                    
                    if($general_stock != NULL)
                    {
                        if($general_stock->bottles > $bottles ){
                           
                             $general_stocks = Stock::where('item_id',$request->item_names[$i])
                                        ->where('unit_id',$request->unit[$i])
                                        ->where('counter_id',$request->from_counter_id)
                                        ->limit(1)->update([
                                            
                                                    'bottles' => $general_stock->bottles - $bottles,
                                                    'total_ml' => $general_stock->total_ml - $total_ml,
                                                    'pegs'=> $general_stock->pegs - 0,
                                            
                                            ]);
                                            
                                            
                               $stock = Stock::where('item_id',$request->item_names[$i])->where('unit_id',$request->unit[$i])->where('counter_id',$request->counter_id)->first();
                        
                                $stocks = Stock::where('item_id',$request->item_names[$i])
                                        ->where('unit_id',$request->unit[$i])
                                        ->where('counter_id',$request->counter_id)
                                        ->limit(1)->update([
                                            
                                                    'bottles' => $stock->bottles + $bottles,
                                                    'total_ml' => $stock->total_ml + $total_ml,
                                                    'pegs'=> $stock->pegs + 0,
                                            
                                            ]);            
                            
                        }
                    }
                }
           }
       }
           
           return redirect("/issue")->with('success','Issue Updated Successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    public function TransferReport(Request $request)
    {
        $counters = Counters::where('purpose','=','1')->get();
        if(Auth::user()->role == 0){
            $issues= Issue::join('counters','issues.counter_id','=','counters.cntr_id')->where('issues.from_counter_id','=',Auth::user()->counter_id);
        }else{
            $issues= Issue::join('counters','issues.counter_id','=','counters.cntr_id');
        }
        
        if($request->from && $request->to){
            $issues= ($issues)->whereBetween('date',array($request->from,$request->to));
            
        }else{
            $issues= ($issues)->where('date','=',date('Y-m-d'));
        }
        if($request->counter_id){
            $issues= ($issues)->where('counter_id','=',$request->counter_id);
        }
        
        $issues= ($issues)->get();
        return view('issue.transfer_report')->with('issues',$issues)->with('counters',$counters);
    }
    
    
    
    function unitDetails(Request $request){
        
        $units = ItemCase::join('units','item_cases.unit_id','=','units.u_id')
        ->where('item_id','=',$request->id)
        ->get();
        
        return $units;
    }
}
