<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\IssueItem;
use App\ItemPrice;

class ItemWiseIssueController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $reports = array();
        if($request->from && $request->to ){
        
            
            $from = $request->from;
            $to = $request->to;
            
            $items  =  IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                    ->join('items','issue_items.item_id','=','items.item_id')
                    ->join('units','issue_items.unit_id','=','units.u_id')
                    ->join('counters','issues.counter_id','=','counters.cntr_id')
                   ->whereBetween('issues.date',array($from,$to))
                   ->groupBy('issue_items.unit_id')
                   ->groupBy('items.item_id')
                   ->groupBy('issues.counter_id')
                   ->select('*','issues.counter_id as counter_id','units.u_id as unit_id','items.item_id as original_item_id')
                   ->orderBy('name','ASC')
                    ->get();
        
            if(count($items) > 0){
                foreach($items as $item){
                    
                    $price = ItemPrice::where('item_id',$item->original_item_id)->where('unit_id',$item->unit_id)->where('counter_id',$item->counter_id)->first();
                    
                    if($price){
                        $rate = $price->amount;
                    }else{
                        $rate = 0;
                    }
                    $reports[] = [
                        
                            'counter' => $item->counter_name,
                            'date' => $item->date,
                            'issue_no' => $item->issue_no,
                            'item' => $item->name,
                            'unit' => $item->u_name,
                            'qty' => $item->qty,
                            'rate' => $rate,
                            'amount' => $item->qty * $rate,
                        ];
                    
                }
            }
        }
        
        return view('reports.item_wise_issue',compact('reports'));
        
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
