<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PurchaseItems;
use App\ItemCase;


class ItemWisePurchaseRegisterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $reports = array();
        if($request->from && $request->to ){
        
            
            $from = $request->from;
            $to = $request->to;
            
            $items  =  PurchaseItems::join('purchases','purchase_items.purchase_id','=','purchases.p_id')
                    ->join('items','purchase_items.item_id','=','items.item_id')
                    ->join('units','purchase_items.unit','=','units.u_id')
                   ->whereBetween('purchases.date',array($from,$to))
                   ->groupBy('purchase_items.unit')
                   ->groupBy('items.item_id')
                   ->select('*','units.u_id as unit_id','items.item_id as original_item_id')
                   ->orderBy('name','ASC')
                    ->get();
        
            if(count($items) > 0){
                foreach($items as $item){
                    
                    
                    $price = ItemCase::where('item_id',$item->original_item_id)->where('unit_id',$item->unit_id)->first();
                    
                    if($price){
                        $rate = $price->item_amount;
                    }else{
                        $rate = 0;
                    }
                    
                    if($item->measurement == 0){
                        $type = 'Case';
                    }else{
                        $type = 'Nos';
                    }
                    $reports[] = [
                        
                            'purchase_no' => $item->purchase_no,
                            'date' => $item->date,
                            'item' => $item->name,
                            'unit' => $item->u_name,
                            'qty' => $item->quantity,
                            'type' => $type,
                            'rate' => $rate,
                            'amount' => $item->amount,
                        ];
                    
                }
            }
        }
        
         $tmp = array();
 
        foreach($reports as $arg)
        {
            $old_arg =  $arg;
            
            unset($arg["purchase_no"]);
           
            $tmp[$old_arg['purchase_no']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'purchase_no' => $type,
            'items' => $labels
        );
        }
        
         $purchase_array =  array();
        
        if(count($output) > 0 ){
            foreach($output as $out){
                $stocks = array();
                $stocks[] = [ $out["purchase_no"],"","","","","","",""];
                
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $stocks[] = [ "",$ou["date"],$ou["item"],$ou["unit"],$ou["qty"],$ou["type"],$ou["rate"],$ou["amount"]];
                       
                   }
                 }
               
                array_push($purchase_array,$stocks);
                
            }
        }
         return view('reports.item_wise_purchase_register',compact('purchase_array'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
