<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Counters;
use App\Sale;
use App\BillItems;


class ItemWiseSaleRegisterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        
        $from = $request->from;
        $to = $request->to;
        $counter = $request->counter_id;
        $date = date('Y-m-d');
        $reports = array();
        $head_array = array();
        
        $items = BillItems::join('sales','bill_items.sale_id','=','sales.sale_id')
                            ->join('units','bill_items.unit_id','=','units.u_id')
                            ->join('items','bill_items.item_id','=','items.item_id')
                            ->join('counters','bill_items.counter_id','=','counters.cntr_id')
                            ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                            ->select('*','bill_items.counter_id as counter_id')
                            ->groupBy('name','u_name');
        
        
        if($from && $to || $counter  ){
            
            if($from && $to){
                
                $items = $items->whereBetween('date',array($from,$to));
                
            }if($counter){
                
                $items = $items->whereIn('bill_items.counter_id',$counter);
                
            }
            $items = $items->get();
            
            $date1 = $from;
            $date2 = $to;
            
        }else{
            
            $items = $items->where('date',$date)->get();
            
            $date1 = $date;
            $date2 = $date;
            
        }
        
        
        
        if(count($items) > 0){
            foreach($items as $item){
                
                
                $sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->item_id)
                                ->where('unit_id','=',$item->u_id)
                                ->whereBetween('sales.date',array($date1,$date2))
                                ->where('sales.counter_id','=',$item->counter_id)
                               ->get();
                               
                
                $mls = 0;
                foreach($sales as $sale){
                    
                    
                    if($sale->unit_id == 26){  //peg
                        
                        $ml = $sale->qty * 60;
                        
                    }elseif($sale->unit_id == 31){  //small
                        
                        $ml = $sale->qty * 30;
                        
                    }else{
                        $ml = 0;
                    }
                 
                 $mls += $ml;
                }
                
                
                $reports[] = [
                    
                        'counter' => $item->counter_name,
                        'head' => $item->ih_name,
                        'item' => $item->name,
                        'unit' => $item->u_name,
                        'qty' => $sales->sum('qty'),
                        'ml' => $mls,
                        'amount' => $sales->sum('amount'),
                    ];
                
            }
        }
        
        
        
        $temp = array();
 
        foreach($reports as $aarg)
        {
            $old_arg =  $aarg;
            
            unset($aarg["counter"]);
           
            $temp[$old_arg["counter"]][] = $aarg;
        }
        
 
        $result = array();
 
        foreach($temp as $type => $labels)
        {
             $result[] = array(
                'counter' => $type,
                'items' => $labels
            );
        }
        
        
        
        $last_array =  array();
        
        if(count($result) > 0 ){
            foreach($result as $res){
                $item_array = array();
                $item_array[] = [ $res["counter"],"","","","","",""];
                
                 if(count($res["items"]) > 0 ){
                   foreach($res["items"] as $ou){
                       $item_array[] = [ "",$ou["head"],$ou["item"],$ou["unit"],$ou["qty"],$ou["ml"],$ou["amount"]];
                   }
                 }
                $item_array[] =["","","","","","",""];
                array_push($last_array,$item_array);
                
            }
        }
        
        
        $tmp = array();
 
        foreach($reports as $arg)
        {
            $tmp[$arg['head']][] = $arg['amount'];
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'head' => $type,
            'amount' => $labels
            );
        }
        if(count($output)>0){
             foreach($output as $out){
                 $head_array[] = [
                        'head' =>$out["head"],
                        'amount' =>array_sum($out["amount"]),
                     ];
             }
            
        }
        
        
        $counters = Counters::where('purpose','=','1')->get();
        return view('reports.item_wise_sale_register',compact('counters','reports','head_array','last_array'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
