<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\BillItems;

class KitchenController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $orders = BillItems::join('items','bill_items.item_id','=','items.item_id')
                                ->join('tables','bill_items.table_id','=','tables.t_id')
                                ->join('suppliers','bill_items.supplier_id','=','suppliers.s_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->join('counters','bill_items.counter_id','=','counters.cntr_id')
                                ->where('item_head_id','=','5')
                                ->where('status','=','0')
                                ->where('dispatch_status','=','0')
                                ->get();
        return view('kitchen.index',compact('orders'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        // 
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $orders = BillItems::find($id);
        $orders->dispatch_status = '1';
        $orders->save();
        return Redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
