<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\KitchenItem;
use App\KitchenPurchaseUnit;

class KitchenItemController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $items = KitchenItem::join('kitchen_purchase_units','kitchen_items.unit_id','=','kitchen_purchase_units.id')->latest('ki_id')->get();
        
        return view('kitchen_items.index',compact('items'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $units = KitchenPurchaseUnit::all();
        return view('kitchen_items.create',compact('units'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $item = new KitchenItem;
        $item->item_name = $request->item_name;
        $item->unit_id = $request->unit;
        $item->hsn_code = $request->hsn_code;
        $item->tax = $request->tax;
        $item->save();
        return redirect()->back()->with('success','Kitchen Item added successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $item = KitchenItem::join('kitchen_purchase_units','kitchen_items.unit_id','=','kitchen_purchase_units.id')->find($id);
        $units = KitchenPurchaseUnit::all();
        return view('kitchen_items.edit',compact('item','units'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $item = KitchenItem::find($id);
        $item->item_name = $request->item_name;
        $item->unit_id = $request->unit;
        $item->hsn_code = $request->hsn_code;
        $item->tax = $request->tax;
        $item->save();
        return redirect('/kitchen_items')->with('success','Kitchen Item updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
