<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\User;
use Illuminate\Support\Facades\Hash;
use DB;

class LoginController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $users  = User::join('counters','users.counter_id','=','counters.cntr_id')->where('role','=',0)->get();
        return view('logins.index')->with('users',$users);
       
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $counters = DB::table('counters')->get();
        return view('logins.create',compact('counters'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $user = new User ;
        $user->name = $request->name;
        $user->address = $request->address;
        $user->contact_no = $request->contact_no;
        $user->email = $request->email;
        $user->counter_id = $request->counter_id;
        $user->password =  Hash::make($request->password);
        $user->role = 0;
        $user->save();
        return redirect("/logins")->with('success','Login added successfully');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    //RESET PASSWORD
    public function ResetPassword($id){
        return view('logins.reset_password',compact('id'));
    }
    
    public function UpdatePassword(Request $request,$id){
        $update = User::find($id);
        $update->password = Hash::make($request->password);
        $update->save();
        Return Redirect('/logins')->with('success','Password Updated Successfully');
    }
}
