<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\IssueItem;
use App\Counters;
use App\Item;
use App\Sale;
use App\VerifiedStock;

class ManualStockFormController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $from = $request->from;
        $to = $request->to;
        $counter = $request->counter_id;
        $date = date('Y-m-d');
        $yesterday = date('Y-m-d',strtotime($from."-1 days"));
        $reports = array(); 
            
        if($from && $to){
            
            $date1 = $from;
            $date2 = $to;
            $yesterday = date('Y-m-d',strtotime($from."-1 days"));
            
        }else{
            
            $date1 = $date;
            $date2 = $date;
            $yesterday = date('Y-m-d',strtotime("-1 days"));
            
        }
        
        if($counter){
            $items  =  IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                ->join('items','issue_items.item_id','=','items.item_id')
                ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                ->join('units','issue_items.unit_id','=','units.u_id')
                ->join('item_cases','units.u_id','=','item_cases.unit_id')
                //->whereBetween('issues.date',array($date1,$date2))
                ->whereIn('issues.counter_id',$counter)
               ->groupBy('issue_items.unit_id')
               ->groupBy('items.item_id')
               ->select('*','issues.counter_id as counter_id','issue_items.unit_id as unit_id','units.u_id as u_id','items.item_id as original_item_id')->get();
        }else{
            $items  =  IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                ->join('items','issue_items.item_id','=','items.item_id')
                ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                ->join('units','issue_items.unit_id','=','units.u_id')
                ->join('item_cases','units.u_id','=','item_cases.unit_id')
                //->whereBetween('issues.date',array($date1,$date2))
               ->groupBy('issue_items.unit_id')
               ->groupBy('items.item_id')
               ->select('*','issues.counter_id as counter_id','issue_items.unit_id as unit_id','units.u_id as u_id','items.item_id as original_item_id')->get();
        }
        
            
        
        
        
        if(count($items) > 0){
            foreach($items as $item){
                
                
                $head = Item::join('item_categories','items.category_id','=','item_categories.ic_id')->where('item_id',$item->original_item_id)->first();
                
            //   // $previous_case = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
            //                         ->where('issue_items.unit_id','=',$item->u_id)
            //                         ->where('issue_items.item_id','=',$item->original_item_id)
            //                       ->where('issues.counter_id','=',$item->counter_id)
            //                       ->whereBetween('issues.date',array($yesterday,$yesterday ))
            //                         ->where('issue_items.measurement','=',0)->sum('issue_items.qty');
                                    
                          
                                    
            //     $previous_bottle = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
            //                  ->where('issue_items.unit_id','=',$item->u_id)
            //                 ->where('issue_items.item_id','=',$item->original_item_id)
            //               ->where('issues.counter_id','=',$item->counter_id)
            //               ->whereBetween('issues.date',array($yesterday,$yesterday ))
            //                 ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                
                
                
                
                $current_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                     ->where('issue_items.unit_id','=',$item->u_id)
                                    ->where('issue_items.item_id','=',$item->original_item_id)
                                   ->where('issues.counter_id','=',$item->counter_id)
                                   ->whereBetween('issues.date',array($date1,$date2 ))
                                    ->where('issue_items.measurement','=',0)
                                    ->sum('issue_items.qty');
                                    
                            
                             
                $current_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                         ->where('issue_items.unit_id','=',$item->u_id)
                        ->where('issue_items.item_id','=',$item->original_item_id)
                       ->where('issues.counter_id','=',$item->counter_id)
                       ->whereBetween('issues.date',array($date1,$date2 ))
                        ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                            
                
                
                 $current_bottle_count  =  $current_case_count * $item->case_count + $current_bootle_count;
                
                
                
                $op_stock = VerifiedStock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->u_id)
                                        ->where('date',$date1)
                                        ->get();
               if(count($op_stock) > 0){
                    $op_bottle = $op_stock->sum('bottles');
                    $op_peg = $op_stock->sum('pegs');
                }else{
                    $op_stock = VerifiedStock::where('counter_id',$item->counter_id)
                                ->where('item_id',$item->original_item_id)
                                ->where('unit_id',$item->u_id)
                                ->where('date', VerifiedStock::where('counter_id','=',$item->counter_id)->max('date')    )->orderBy('date','desc')->get();
                    $op_bottle = $op_stock->sum('bottles');
                    $op_peg = $op_stock->sum('pegs');
                }
                
                
              
                
                $reports[] = [
                    
                        'category' => $head->category,
                        'item' => $item->name,
                        'unit' => $item->u_name,
                        'op_bottle' => $op_bottle,
                        'op_peg' => $op_peg ,
                        'receipt' => $current_bottle_count,
                        'id'=>$item->original_item_id,
                        'unit_id'=>$item->unit_id
                    ];
                
            }
        }
        
        $tmp = array();
 
        foreach($reports as $arg)
        {
            $old_arg =  $arg;
            
            unset($arg["category"]);
           
            $tmp[$old_arg['category']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'category' => $type,
            'items' => $labels
        );
        }
        
        
       
       
        $last_supplier_array =  array();
        if(count($output) > 0 ){
            foreach($output as $out){
                $supplier_array =  array();
                $supplier_array[] = [ $out["category"],"","","","","",];
                
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $supplier_array[] = [ "",$ou["item"],$ou["unit"],$ou["op_bottle"],$ou["op_peg"],$ou["receipt"]];
                       
                   }
                 }
             
                array_push($last_supplier_array,$supplier_array);
                
            }
        }
        
        
       
        
        $counters =  Counters::where('purpose','=','1')->get();
        return view('reports.manual_stock_report',compact('counters','reports','last_supplier_array'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
