<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Purchases;

class PurchaseReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $purchases = Purchases::join('vendors','purchases.vendor_id','=','vendors.v_id');
        
        $reports = array();
        $date = date('Y-m-d');
        $from  =  $request->from ;
        $to =  $request->to ;

        if($from &&  $to  ){
            
            $purchases = ($purchases)->whereBetween('purchases.date',array($from, $to))->get();
            
        }else{
            
            $purchases = ($purchases)->where('purchases.date',$date)->get();
            
        }
        
        
        $cash_total = 0;
        $credit_total = 0;
        $other_total = 0;
        
        
        if(count($purchases) > 0){
            foreach($purchases as $purchase){
                
                $credit = 0;
                $cash = 0;
                $other = 0;
                
                if($purchase->payment_method_id == 1){
                    
                    $cash = $purchase->grand_total;
                    
                }elseif($purchase->payment_method_id == 2){
                    
                    $credit = $purchase->grand_total;
                    
                }else{
                    
                    $other = $purchase->grand_total;
                    
                }
                
                
                $reports[] = [
                    
                        'date' => $purchase->date,
                        'purchase_no' => $purchase->purchase_no,
                        'invoice_no' => $purchase->invoice_no,
                        'invoice_date' => $purchase->invoice_date,
                        'vendor' => $purchase->name,
                        'credit' => $credit,
                        'cash' => $cash,
                        'other' => $other,
                        
                    ];
                
                $cash_total += $cash;
                $credit_total += $credit;
                $other_total += $other;
            }
            
        }
        
        
         return view('reports.purchase_report',compact('reports','cash_total','credit_total','other_total'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
