<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\BillItems;
use App\Bills;
use App\ItemPrice;
use App\Counters;
use App\ItemCase;
use Auth;
use App\Item;
use App\PurchaseItems;
use App\Purchases;
use App\Sale;
use App\IssueItem;
use App\Stock;
use App\VerifiedStock;

class ReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request) //STORE REPORT
    {
         $items = [];       
       
        $item_stock=array();
         $stock = array();
        
        if($request->from && $request->to ){
            
            $from = $request->from;
            $to = $request->to;
            $financial_year_date = date("Y-04-01");
            $previous_day = date('Y-m-d',strtotime($from."-1 days")); 
                   
                  
            
            
                $items  =  PurchaseItems::join('purchases','purchase_items.purchase_id','=','purchases.p_id')
                    ->join('items','purchase_items.item_id','=','items.item_id')
                    ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                    ->join('units','purchase_items.unit','=','units.u_id')
                   ->groupBy('purchase_items.unit')
                   ->groupBy('items.item_id')
                   ->select('*','units.u_id as unit_id','items.item_id as original_item_id','purchase_items.counter_id as counter_id')
                   ->orderBy('name','ASC')
                    ->get();
            
                 
                    
                    if(count($items)>0){
                        foreach($items as $item){
                            
                            if($item->u_id == 30){
                                $priority = 1;
                            }elseif($item->u_id == 29){
                                $priority = 2;
                                
                            }elseif($item->u_id == 28){
                                $priority = 3;
                                
                            }elseif($item->u_id == 27){
                                $priority = 4;
                                
                            }elseif($item->u_id == 32){
                                $priority = 8;
                                
                            }
                              
                    $case = ItemCase::where('item_id',$item->original_item_id)->where('unit_id',$item->u_id)->first();
                    
                    $case_count = 0;
                    if($case){
                        $case_count = $case->case_count; 
                    }
                    
                    $current_case_count_issue = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->where('issues.counter_id',$item->counter_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',0)
                                ->sum('issue_items.qty');
                                
                                
                        
                         
                        $current_bootle_count_issue = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->where('issues.counter_id',$item->counter_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                                
                                
                       $current_case_count = Purchases::join('purchase_items','purchases.p_id','=','purchase_items.purchase_id')
                                 ->where('purchase_items.unit','=',$item->u_id)
                                ->where('purchase_items.item_id','=',$item->original_item_id)
                               ->whereBetween('purchases.date',array($from,$to ))
                                ->where('purchase_items.measurement','=',0)
                                ->sum('purchase_items.quantity');
                                
                                
                        
                         
                        $current_bootle_count = Purchases::join('purchase_items','purchases.p_id','=','purchase_items.purchase_id')
                                 ->where('purchase_items.unit','=',$item->u_id)
                                ->where('purchase_items.item_id','=',$item->original_item_id)
                               ->whereBetween('purchases.date',array($from,$to ))
                                ->where('purchase_items.measurement','=',1)->sum('purchase_items.quantity');
                        
                        
                       
                        
                        $op_stock = VerifiedStock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date',$request->from)->get();
                        if(count($op_stock) > 0){
                            $op_bottle = $op_stock->sum('bottles');
                            $op_peg = $op_stock->sum('pegs');
                        }else{
                            $op_stock = VerifiedStock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)
                                        ->where('date', VerifiedStock::where('counter_id','=',12)->max('date')    )->orderBy('date','desc')->get();
                            $op_bottle = $op_stock->sum('bottles');
                            $op_peg = $op_stock->sum('pegs');
                        }
                        
                            
                        
                        $purchase_bottle  =  $current_case_count * $case_count + $current_bootle_count;
                        
                        
                        
                        
                        $issue_bottle  =   $current_case_count_issue  *  $case_count + $current_bootle_count_issue;   
                        
                        
                        
                        
                            $cl_stock = Stock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)->get();
                            $cl_bottle = $cl_stock->sum('bottles');
                            $cl_peg = $cl_stock->sum('pegs');
                            
                            $op_case = 0;
                            $purchase_case = 0;
                            $issue_case = 0;
                            $cl_case = 0;
                            
                            $op_bot = 0 ;
                            $cl_bot= 0 ;
                            $iss_bot =0;
                            $pur_bot =0;
                            
                            if($case_count > 0){
                            
                                $op_case = $op_bottle / $case_count;
                                $purchase_case = $purchase_bottle / $case_count;
                                $issue_case = $issue_bottle /$case_count;
                                $cl_case = $cl_bottle /$case_count;
                                
                                
                                $op_bot = ($op_case - floor($op_case)) * $case_count;
                                $pur_bot =  ($purchase_case - floor($purchase_case))*$case_count;
                                $iss_bot =  ($issue_case - floor($issue_case))*$case_count ;
                                $cl_bot =  ($cl_case - floor($cl_case))*$case_count;
                            }
                            
                            
                            
                            
                            // $op_case =  number_format((float)$op_case, 2, '.', '');
                            // $purchase_case = number_format((float)$purchase_case, 2, '.', '');
                            // $issue_case = number_format((float)$issue_case, 2, '.', '');
                            // $cl_case =  number_format((float)$cl_case, 2, '.', '');
                            
                            
                            
                            
                            $op_case = floor($op_case);
                            $purchase_case = floor($purchase_case);
                            $issue_case = floor($issue_case);
                            $cl_case = floor($cl_case);
                        
                           
                            
                            $stock[] = [
                                    "head"=>$item->ih_name,
                                    "name"=>$item->name,
                                    "unit" =>$item->u_name,
                                    "op_tot" =>$op_bottle,
                                    "op_case"=>$op_case,
                                    "op_bottle" => $op_bot,
                                    "pur_tot" =>$purchase_bottle,
                                    "pur_case" =>$purchase_case,
                                    "pur_bottle"=>$pur_bot,
                                    "iss_tot"=>$issue_bottle,
                                    "iss_case"=>$issue_case,
                                    "iss_bottle"=>$iss_bot,
                                    "cl_tot"=>$cl_bottle,
                                    "cl_case"=>$cl_case,
                                    "cl_bottle" => $cl_bot,
                                    ];
                        }
                    }
            }
        
        
        
         $tmp = array();
 
        foreach($stock as $arg)
        {
            $old_arg =  $arg;
            
            unset($arg["head"]);
           
            $tmp[$old_arg['head']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'head' => $type,
            'items' => $labels
        );
        }
       
        
         $stock_array =  array();
        
        if(count($output) > 0 ){
            foreach($output as $out){
                $stocks = array();
                $stocks[] = [ $out["head"],"","","","","","","","","","","","","",""];
                
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $stocks[] = [
                           "",
                       $ou["name"],
                       $ou["unit"],
                       $ou["op_tot"],
                       $ou["op_case"],
                       $ou["op_bottle"],
                       $ou["pur_tot"],
                       $ou["pur_case"],
                       $ou["pur_bottle"],
                       $ou["iss_tot"],
                       $ou["iss_case"],
                       $ou["iss_bottle"],
                       $ou["cl_tot"],
                       $ou["cl_case"],
                       $ou["cl_bottle"]
                       ];
                       
                   }
                 }
               // $supplier_array[] =["","","","","","",""];
                array_push($stock_array,$stocks);
                
            }
        }
        
   
        
        return view('reports.store_report')->with('items',$stock_array);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
    
    public function StockReport(Request $request)
    {
        
        $sales = array();
        
            
        if($request->from && $request->to && $request->counter_id){
                    $from = $request->from;
                    $to = $request->to;
                    $previous_day = date('Y-m-d',strtotime($from."-1 days")); 
             
            
            if(in_array(12,$request->counter_id) ){
                $items  =   PurchaseItems::join('purchases','purchase_items.purchase_id','=','purchases.p_id')
                    ->join('items','purchase_items.item_id','=','items.item_id')
                    ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                    ->join('units','purchase_items.unit','=','units.u_id')
                    ->join('item_cases','units.u_id','=','item_cases.unit_id')
                   ->groupBy('purchase_items.unit')
                   ->groupBy('items.item_id')
                   ->select('*','units.u_id as unit_id','items.item_id as original_item_id','purchase_items.counter_id as counter_id')
                   ->orderBy('name','ASC')
                    ->get();
            }else{
                $items  =  IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                            ->join('items','issue_items.item_id','=','items.item_id')
                            ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                            ->join('units','issue_items.unit_id','=','units.u_id')
                            ->join('item_cases','units.u_id','=','item_cases.unit_id')
                            ->whereIn('issues.counter_id',$request->counter_id)
                            ->groupBy('issue_items.unit_id')
                           ->groupBy('items.item_id')
                           ->select('*','issues.counter_id as counter_id','units.u_id as unit_id','items.item_id as original_item_id')
                            ->get();
                        
            }    
                  
            if(count($items)>0){            
                foreach($items as $item){
                    
                    $rate = ItemCase::where('item_id','=',$item->original_item_id)
                            ->where('unit_id',$item->u_id)->first();
                    
                   
                    $head = Item::join('item_categories','items.category_id','=','item_categories.ic_id')
                                    ->where('item_id',$item->original_item_id)->first();
                    
                    
                    $prevous_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                    ->where('issue_items.unit_id','=',$item->u_id)
                                    ->where('issue_items.item_id','=',$item->original_item_id);
                                    if( $request->counter_id){
                                     $prevous_case_count = ($prevous_case_count)->whereIn('issues.counter_id',$request->counter_id);
                                    }
                                   $prevous_case_count= ($prevous_case_count)->whereBetween('issues.date',array($previous_day,$previous_day ))
                                    ->where('issue_items.measurement','=',0)->sum('issue_items.qty');
                                    
                                   
                                    
                    $prevous_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                             ->where('issue_items.unit_id','=',$item->u_id)
                            ->where('issue_items.item_id','=',$item->original_item_id);
                            if( $request->counter_id){
                               $prevous_bootle_count = ($prevous_bootle_count) ->whereIn('issues.counter_id',$request->counter_id);
                            }
                           $prevous_bootle_count = ($prevous_bootle_count)->whereBetween('issues.date',array($previous_day,$previous_day ))
                            ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                    
                    
                    
                    $current_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                     ->where('issue_items.unit_id','=',$item->u_id)
                                    ->where('issue_items.item_id','=',$item->original_item_id);
                                     if( $request->counter_id){
                                          $current_case_count= ($current_case_count)  ->whereIn('issues.counter_id',$request->counter_id);
                                     }
                                 $current_case_count = ($current_case_count)  ->whereBetween('issues.date',array($from,$to ))
                                    ->where('issue_items.measurement','=',0)
                                    ->sum('issue_items.qty');
                                    
                                    
                            
                             
                    $current_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                             ->where('issue_items.unit_id','=',$item->u_id)
                            ->where('issue_items.item_id','=',$item->original_item_id);
                            
                             if( $request->counter_id){
                                    $current_bootle_count = ($current_bootle_count)->whereIn('issues.counter_id',$request->counter_id);
                             }
                           $current_bootle_count = ($current_bootle_count)->whereBetween('issues.date',array($previous_day,$from ))
                            ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                            
                    
                    
                    
                    
                     $issues = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                         ->where('issue_items.unit_id','=',$item->u_id)
                                        ->where('issue_items.item_id','=',$item->original_item_id);
                                        if( $request->counter_id){
                                          $issues = ($issues)  ->whereIn('issues.counter_id',$request->counter_id);
                                      
                                        }
                                      $issues = ($issues)->whereBetween('issues.date',array($from,$to ))
                                        ->get();
                                   
                            $issue_bottle_count = 0;
                            foreach($issues as $issue){
                                    
                                if($issue->measurement == 0){
                                    $issue_bottle = $issue->qty * $item->case_count;
                                }else{
                                    $issue_bottle = $issue->qty ;
                                }
                                
                                    
                                
                                $issue_bottle_count += $issue_bottle;
                            }
                            
                            
                            
                            
                    $sales1 = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                    ->join('units','bill_items.unit_id','=','units.u_id')
                                    ->where('item_id','=',$item->original_item_id)
                                    ->where('unit_id','=',$item->u_id);
                                   if( $request->counter_id){ 
                                    
                                   $sales1 = ($sales1)->whereIn('sales.counter_id',$request->counter_id);
                                   }
                                   $sales1 = ($sales1)->whereBetween('sales.date',array($from,$to ))
                                   ->get();
                                   
                            $sale_ltrs = 0;
                        $sale_bottles = 0;
                        foreach($sales1 as $sale){
                                
                            $ltrs = ($sale->qty * $sale->ml)/1000;
                            $bottles = $sale->qty;
                                
                            
                            $sale_ltrs += $ltrs;
                            $sale_bottles += $bottles;
                        }
                    
                    
                    
                    $current_bottle_count  =  $current_case_count * $item->case_count + $current_bootle_count;
                    
                    $previous_bottle_count  =   $prevous_case_count  *  $item->case_count + $prevous_bootle_count;           
                    
                    
                     $stock = Stock::where('counter_id',$item->counter_id)
                                        ->where('item_id',$item->original_item_id)
                                        ->where('unit_id',$item->unit_id)->get();
                    $stock_bottle = $stock->sum('bottles');
                    $stock_peg = $stock->sum('pegs');
                    
                    
                    if($rate){
                        $value = $stock_bottle * $rate->item_amount;
                    
                    
                        $sales[] = [
                                'category' => $head->category,
                                'name' => $item->name,
                                'unit' => $item->u_name,
                                'stock_bottle' => $stock_bottle,
                                'stock_ltrs' => $stock_peg,
                                'rate' => $rate->item_amount,
                                'value' => $value,
                            ];
                    
                    }          
                }
            }
        }      
        
        $tmp = array();
 
        foreach($sales as $arg)
        {
            $old_arg =  $arg;
            
            unset($arg["category"]);
           
            $tmp[$old_arg['category']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'category' => $type,
            'items' => $labels
        );
        }
        
        
        
        $last_supplier_array =  array();
        
        if(count($output) > 0 ){
            foreach($output as $out){
                $supplier_array = array();
                $supplier_array[] = [ $out["category"],"","","","","",""];
                
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $supplier_array[] = [ "",$ou["name"],$ou["unit"],$ou["stock_bottle"],$ou["stock_ltrs"],$ou["rate"],$ou["value"]];
                       
                   }
                 }
                $supplier_array[] =["","","","","","",""];
                array_push($last_supplier_array,$supplier_array);
                
            }
        }
        
        $counters =  Counters::where('purpose','=','1')->get();
        return view('reports.stock_report',compact('sales','counters','last_supplier_array'));
    }
    
    
    
    public function counterStockReport(){
        
    }
    
    
}
