<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Counters;
use App\Suppliers;
use App\Item;
use App\Tables;
use App\BillItems;
use Auth;
use App\Bills;
use App\Units;
use App\ItemPrice;
use App\Sale;
use App\ItemCase;
use App\IssueItem;
use App\Stock;
use App\VerifiedStock;

class SaleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request) //View Kot
    {
        $suppliers = Suppliers::all();
        $counters = Counters::where('purpose','=','1')->get();
        if(Auth::user()->role == '1' ){
            $bills = Bills::join('suppliers','bills.supplier_id','=','suppliers.s_id')
            ->join('tables','bills.table_id','=','tables.t_id')
            ->join('counters','bills.counter_id','=','counters.cntr_id')
            ->where('bills.status','!=','2')
            ->where('bills.category','=','0')
            ->orderBy('b_id','desc');
        }else{
            $bills = Bills::join('suppliers','bills.supplier_id','=','suppliers.s_id')
            ->join('tables','bills.table_id','=','tables.t_id')
            ->where('bills.counter_id','=',Auth::user()->counter_id)
            ->where('bills.status','!=','2')
            ->where('bills.category','=','0')
            ->orderBy('b_id','desc');
        }
        
        
        $from = $request->from;
        $to = $request->to;
        $supplier = $request->supplier_id;
        $counter = $request->counter_id;
        
        if($from && $to || $supplier || $counter){
            if($from && $to){
                $bills = ($bills)->whereBetween('bills.date',[$from,$to]);
            }if($supplier){
                $bills = ($bills)->where('bill_items.supplier_id',$supplier); 
            }if($counter){
                $bills = ($bills)->where('bills.counter_id',$counter); 
            }
            $bills = ($bills)->get();
        }else{
            $bills = $bills->where('bills.date',date('Y-m-d'))->get();
        }
        return view('sales.index',compact('bills','suppliers','counters'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        
        $counters = Counters::where('purpose','=','1')->get();
        $suppliers = Suppliers::all();
        
        // $merged = $counters->concat($suppliers);
        // $merged_array = $merged->all();
        // return $merged_array;
        
        
        $tables = Tables::all();
        $units = Units::all();
        $item = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                            ->join('items','issue_items.item_id','=','items.item_id')
                            ->join('units','issue_items.unit_id','=','units.u_id')
                            ->where('counter_id','=',Auth::user()->counter_id)
                            ->orderBy('name','asc')
                            ->groupBy('name')
                            
                            ->get();
        $food = ItemPrice::join('items','item_prices.item_id','=','items.item_id')
                            ->where('counter_id','=',Auth::user()->counter_id)
                            ->where('item_head_id','=','5')
                            ->orderBy('name','asc')
                            //->groupBy('name')
                            ->get();
        $merged = $item->concat($food);
        $items = $merged->all();
        
      
        
        $table = BillItems::where('counter_id','=',Auth::user()->counter_id)->distinct()->get('table_id');
        
        $orders = array();
        foreach($table as $tableid){
            $order_no = BillItems::where('counter_id','=',Auth::user()->counter_id)->where('table_id','=',$tableid->table_id)->distinct()->get('order_no');
            foreach($order_no as $order){
                $sale = BillItems::join('items','bill_items.item_id','=','items.item_id')
                                ->join('tables','bill_items.table_id','=','tables.t_id')
                                ->join('suppliers','bill_items.supplier_id','=','suppliers.s_id')
                                ->where('table_id','=',$tableid->table_id)
                                ->where('order_no','=',$order->order_no)
                                ->where('bill_items.counter_id','=',Auth::user()->counter_id)
                                ->where('status','=','0')
                                ->get();
            
                if(count($sale) > 0){
                    array_push($orders,$sale);
            //         $foodcount = $sale->where('item_head_id','=','5')->count();
            // $barcount = $sale->where('item_head_id','!=','5')->count();
                }
            }
        }
        $bills = Bills::join('suppliers','bills.supplier_id','=','suppliers.s_id')
            ->join('tables','bills.table_id','=','tables.t_id')
            ->where('status','=','0')
            ->where('bills.counter_id','=',Auth::user()->counter_id)
            ->groupBy('table_id','order_no','supplier_id')
            ->get();
            
        $last = BillItems::join('items','bill_items.item_id','=','items.item_id')
                                ->join('tables','bill_items.table_id','=','tables.t_id')
                                ->join('suppliers','bill_items.supplier_id','=','suppliers.s_id')
                                ->where('bill_items.counter_id','=',Auth::user()->counter_id)
                                // ->where('status','=','0')
                                ->latest('bi_id')
                                ->first();
        return view('sales.create',compact('counters','suppliers','tables','items','units','orders','bills','last'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $VerifiedStock = VerifiedStock::where('date','=',date('Y-m-d'))->where('counter_id','=',Auth::user()->counter_id)->count();
        // if($VerifiedStock){
    
        // if($request->unit_id == 26 || $request->unit_id == 31){  //PEG  & SMALL
            
        //     $stocks =    Stock::where('item_id',$request->actual_item)
        //         ->where('counter_id',Auth::user()->counter_id)
        //         ->where('priority','!=','8')
        //         ->where(function($q) {
        //             $q->where('pegs',"!=", '0')
        //             ->orWhere('bottles',"!=", '0');
        //         })->orderBy('priority','ASC')->get();
          
          
        //     $stock_count  = false ;
        //     $priority = 0;
        //     if(count($stocks) > 0 ){
        //          $actual_peg_p1  = 0 ;
        //          $actal_bottle_p1 = 0 ;
        //          $jump_pegs =  0 ;
        //          $i=0;
                 
        //         foreach($stocks as $p1){
                 
        //          $temp = 0 ;
        //           $unit  =  Units::find($p1->unit_id);
                
                 
                 
                 
        //          // condition to check if the peg is < than priority based bottles pegs
                 
        //          if( ($unit->ml /60) < $request->qty){
        //               $total_peg_count  = $p1->bottles * ($unit->ml /60) + $p1->pegs;
        //              if($total_peg_count < 0 ){
        //                   break 1;
                          
        //              }else{
                     
        //                          $total_peg_count =  ($total_peg_count - $request->qty) / ($unit->ml /60); 
                               
                              
        //                          $bottles = floor($total_peg_count);      // 1
        //                          $fraction = $total_peg_count - $bottles;
                               
        //                          $fraction = $fraction * $unit->ml/60;  
        //                         $pegs =  number_format((float)$fraction, 2, '.', '');
                                  
        //                          Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                                                                  ->update([
        //                                                                                              'pegs' => $pegs,
        //                                                                                              'bottles' => $bottles,
        //                                                      ]);
                                                             
        //                                     $priority  = $p1->priority;                 
        //                                       $stock_count=true;              
        //                                     break 1;
        //              }
                     
        //          }
        //          else{
                     
                 
                 
                 
                  
        //             if(  $p1->pegs >= 0  && $p1->bottles >= 0){
                       
        //                             $test_peg = 0 ;
        //                             $test_original = false;
        //                             if($p1->pegs == 0 && $p1->bottles == 0){
                                                 
        //                             }
                                   
        //                              else if($p1->pegs >= $request->qty  && $p1->bottles >0 ){
                                     
        //                                 if($request->unit_id == 26){
        //                                     $actual_peg_p1 =  $p1->pegs - $request->qty;
                                          
        //                                 }
                                         
        //                                         Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                                                     ->update([
        //                                                                                 'pegs' => $actual_peg_p1,
        //                                                                                 'bottles' => $p1->bottles,
        //                                         ]);
        //                                         $stock_count = true;
        //                                         $priority =$p1->priority;
        //                                     break 1;
        //                              }elseif($p1->pegs == 0 || $p1->pegs < $request->qty   && $p1->bottles > 0 ){
                                         
        //                                  if($request->unit_id == 26){
        //                                               $unit  =  Units::find($p1->unit_id);
                                                       
                                                       
        //                                               $actual_peg_p1 =  $actual_peg_p1 + $unit->peg  + $p1->pegs  ;
        //                                               $actal_bottle_p1 = $p1->bottles - 1 ;
        //                                                       if($actual_peg_p1 > 1){
                                                               
        //                                                          $actual_peg_p1 =  ($actual_peg_p1  ) -  ($request->qty  );
        //                                                           $stock_count = true;
                                                                  
        //                                                       }
                                                              
                                                              
        //                                                       Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                                                      ->update([
        //                                                                                  'pegs' => $actual_peg_p1,
        //                                                                                  'bottles' => $actal_bottle_p1,
        //                                          ]);
        //                                         }
        //                                         $priority =$p1->priority;
                                     
        //                                     break 1;
        //                              }else if( ($p1->pegs < floatval($request->qty) && $p1->pegs != 0)  &&  $p1->bottles >= 0  ){
                                      
        //                                       if($p1->bottles > 0 ){
                                                 
                                                 
        //                                           if($request->unit_id == 26){
        //                                               $unit  =  Units::find($p1->unit_id);
        //                                               $actual_peg_p1 =  $actual_peg_p1 + $unit->peg  + $p1->pegs  ;
        //                                               $actal_bottle_p1 = $p1->bottles - 1 ;
        //                                                       if($actual_peg_p1 > 1){
        //                                                         // $test_peg  =  $request->qty  - $p1->pegs; 
        //                                                          $actual_peg_p1 =  ($actual_peg_p1  ) -  ($request->qty  );
        //                                                           $stock_count = true;
                                                                  
        //                                                       }
        //                                         }
                                                  
        //                                           Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                                             ->update([
        //                                                                                       'pegs' => $actual_peg_p1,
        //                                                                                       'bottles' => $actal_bottle_p1
        //                                                                                 ]);
                                                                                        
        //                                                                                 $priority =$p1->priority;
        //                                                                                 break 1; 
                                                  
        //                                       } 
                                              
        //                                       else if($p1->pegs == 0  && $p1->bottles > 0){
                                       
                                       
        //                                  $actal_bottle_p1 = $p1->bottles - 1 ;
        //                                  $unit  =  Units::find($p1->unit_id);
        //                                   $actual_peg_p1 =  $actual_peg_p1 + $unit->peg  + $p1->pegs  ;
                                        
                                       
        //                                  if($request->unit_id == 26){
        //                                  $actual_peg_p1 =  $actual_peg_p1 - $request->qty;
                                          
        //                                  }elseif($request->unit_id == 31){
        //                                      $actual_peg_p1 =  $actual_peg_p1 - ( $request->qty * .5);
        //                                  }
                                         
                                           
        //                                          Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                                                      ->update([
        //                                                                                  'pegs' => $actual_peg_p1,
        //                                                                                  'bottles' => $actal_bottle_p1,
        //                                          ]);
        //                                          $stock_count = true;
                                                 
                                                  
                                                  
        //                                       }
                                              
        //                             else if($p1->bottles  ==  0 &&  ( $p1->pegs <= $request->qty)   ){
                                              
                                                  
        //                                                       if($request->unit_id == 26){
                                                                   
        //                                                                 if($p1->pegs <= $request->qty ){
                                                                           
        //                                                                                   if(isset($stocks[$i+1])){
                                                                                              
        //                                                                                         $id= $stocks[$i+1]->stk_id;
        //                                                                                       $obj= Stock::find($id);
        //                                                                                       $unit  =  Units::find($obj->unit_id);
        //                                                                                         $actual_peg_p1 =  $actual_peg_p1 + $unit->peg  + $p1->pegs  ;
                                                                                                
                                                                                                
        //                                                                                       $obj->bottles =$obj->bottles - 1; 
        //                                                                                       $obj->pegs =$obj->pegs + $actual_peg_p1 - $request->qty; 
        //                                                                                       $obj->save();
                                                                                              
        //                                                                                           $actual_peg_p1 =0;
        //                                                                                           $actal_bottle_p1 = 0 ;
                                                                                        
        //                                                                                           $temp =  1;
                                                                                                   
        //                                                                                          $stock_count=true;
        //                                                                                     }
        //                                                                                     else{
        //                                                                                       $stock_count=false;  
        //                                                                                       $actual_peg_p1 = $p1->pegs ;
        //                                                                                     }
                                                                                      
                                                                                      
        //                                                                               }
                                                                  
        //                                                       }
                                                                             
                                                              
                                                                  
        //                                                         //   else if($request->unit_id == 31){
        //                                                         //                 if($p1->pegs < .5 && $p1->pegs > 0 ){
        //                                                         //                       $actual_peg_p1 = $p1->pegs ;
        //                                                         //                       if(count($stocks) > $i ){
        //                                                         //                               if(isset($stocks[$i+1])){
        //                                                         //                                   $id= $stocks[$i+1]->stk_id;
        //                                                         //                                  $obj= Stock::find($id);
        //                                                         //                                     $obj->pegs =$obj->pegs + $p1->pegs; 
        //                                                         //                                  $obj->save();
        //                                                         //                                   $actual_peg_p1 =0;
        //                                                         //                               }
                                                                                         
        //                                                         //                           Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                         //                                     ->update([
        //                                                         //                                               'pegs' => $actual_peg_p1,
        //                                                         //                                               'bottles' => $actal_bottle_p1
        //                                                         //                                         ]);
        //                                                         //                       }
        //                                                         //                       }else if($p1->pegs >= .5 && $p1->pegs < 1 ){
                                                                                         
        //                                                         //                           $actual_peg_p1 = $p1->pegs - .5 ; 
        //                                                         //                           $actal_bottle_p1 = 0; 
        //                                                         //                           $temp =  0;
                                                                                           
        //                                                         //                           Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                         //                                     ->update([
        //                                                         //                                               'pegs' => $actual_peg_p1,
        //                                                         //                                               'bottles' => $actal_bottle_p1
        //                                                         //                                         ]);
        //                                                         //                                          break 1; 
        //                                                         //                     }
                                                                                      
        //                                                         //                   }
                                                                      
                                                                
        //                                                           Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                                                             ->update([
        //                                                                                                       'pegs' => $actual_peg_p1,
        //                                                                                                       'bottles' => $actal_bottle_p1
        //                                                                                                 ]);
                                                           
                                                                   
        //                                                           $priority =$p1->priority;
        //                                                           break 1;
                                                                   
                                                            
                                                  
                                                  
        //                                       }
        //                                      }elseif($p1->pegs > floatval($request->qty) && $p1->bottles == 0 ){
                                                
                                                 
                                                
        //                                           if($request->unit_id == 26){
        //                                             $actual_peg_p1 =  $p1->pegs - $request->qty;
                                                  
        //                                         }elseif($request->unit_id == 31){
        //                                             $actual_peg_p1 =  $p1->pegs - ( $request->qty * .5);
        //                                         }
        //                                                 Stock::where('stk_id','=' ,$p1->stk_id)
        //                                                                                             ->update([
        //                                                                                         'pegs' => $actual_peg_p1,
        //                                                                                         //'bottles' => $p1->bottles,
        //                                                 ]);
        //                                                 $stock_count = true;
        //                                             $priority =$p1->priority;
        //                                             break 1;
        //                                      }
                                            
                                            
        //                                   //return  Stock::where('item_id',$request->actual_item)->where('counter_id',Auth::user()->counter_id)->orderBy('priority','ASC')->get();
        //                                 if($stocks[$i]->pegs != 0 && $stocks[$i]->bottles != 0  && $temp == 0 ){
        //                                      break 1; 
        //                                 }   
        //                                 $i++;  
                                           
                                           
                                     
        //                 }      
        //             }
                    
                    
                    
        //         }
        //     }
            
           
            
        //     if($stock_count ){
                
        //         $price = ItemPrice::where('item_id',$request->actual_item)->where('unit_id',$request->unit_id)->where('counter_id',Auth::user()->counter_id)->first(); 
        //             $bill = new BillItems;
        //             $bill->supplier_id = $request->supplier_id;
        //             $bill->counter_id = Auth::user()->counter_id;
        //             $bill->table_id = $request->table_id;
        //             $bill->item_id = $request->actual_item;
        //             $bill->qty = $request->qty;
        //             if($price->count() > 0){
        //                 $bill->rate = $price->amount;
        //                 $bill->amount = $price->amount * $request->qty;
        //             }else{
        //                 $bill->rate = 0;
        //                 $bill->amount = 0 * $request->qty;
        //             }
        //             $bill->status = 0;
        //             $bill->order_no = $request->order_no;
        //             $bill->unit_id = $request->unit_id;
        //             $bill->item_unit_id =$request->item_unit_id;
        //             $bill->priority =$priority;
                    
        //             $bill->save();
                
        //         return redirect()->back()->with('success','Sales added successfully');
        //     }else{
        //         return redirect()->back()->with('success','Out Off Stock');
        //     }
           
        // }else{
            
            
             
        
        
        
        
            $stock =  Stock::where('item_id',$request->item_id)->where('unit_id',$request->unit_id)->where('counter_id',Auth::user()->counter_id)->first();
            
            if($stock){
                
                if($stock->bottles >= $request->qty){
                    
                    $price = ItemPrice::where('item_id',$request->item_id)->where('unit_id',$request->unit_id)->where('counter_id',Auth::user()->counter_id)->first(); 
                    $bill = new BillItems;
                    $bill->supplier_id = $request->supplier_id;
                    $bill->counter_id = Auth::user()->counter_id;
                    $bill->table_id = $request->table_id;
                    $bill->item_id = $request->item_id;
                    $bill->qty = $request->qty;
                    if($price->count() > 0){
                        $bill->rate = $price->amount;
                        $bill->amount = $price->amount * $request->qty;
                    }else{
                        $bill->rate = 0;
                        $bill->amount = 0 * $request->qty;
                    }
                    $bill->status = 0;
                    $bill->order_no = $request->order_no;
                    $bill->unit_id = $request->unit_id;
                    $bill->item_unit_id =$request->item_unit_id;
                    $bill->priority =$stock->priority;
                    $bill->save();
                    
                    
                    Stock::where('item_id',$request->item_id)
                                        ->where('unit_id',$request->unit_id)
                                        ->where('counter_id',Auth::user()->counter_id)
                                        ->limit(1)->update([
                                                    'bottles' => $stock->bottles - $request->qty,
                                            ]);  
                    
                    
                    return redirect()->back()->with('success','Sales added successfully');
                }else{
                    return redirect()->back()->with('success','Not enough Stock');
                }
        
            }
            else{
                return redirect()->back()->with('success','Out Off Stock');
            }
        // }
        
        
       //}else{
           
          // return redirect()->back()->with('success','Stocks verification not yet done');
           
      // }
        
        
        
       
    }
    
    
   
    

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
            ->join('suppliers','bill_items.supplier_id','=','suppliers.s_id')
            ->join('tables','bill_items.table_id','=','tables.t_id')
            ->join('counters','bill_items.counter_id','=','counters.cntr_id')
            ->join('items','bill_items.item_id','=','items.item_id')
            ->join('units','bill_items.unit_id','=','units.u_id')
            ->select('*','sales.amount as amount','bill_items.counter_id as counter_id')
            ->find($id);
        $sale_items = BillItems::join('items','bill_items.item_id','=','items.item_id')->join('units','bill_items.unit_id','=','units.u_id')->where('sale_id',$id)->get();
        $suppliers = Suppliers::all();
        $tables = Tables::all();
        $units = Units::all();
        $items = ItemPrice::join('items','item_prices.item_id','=','items.item_id')->where('counter_id','=',$sales->counter_id)->orderBy('name','asc')->groupBy('name')->get();
        // return $sales;
        return view('sales.edit_sales',compact('sales','suppliers','tables','units','items','sale_items'));
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
         
        $delete = BillItems::where('sale_id','=',$id)->forceDelete();
        if(count($request->item_id) >0 ){
            for($i = 0 ;$i<count($request->item_id);$i++){
                $price = ItemPrice::where('item_id',$request->item_id[$i])->where('unit_id',$request->unit_id[$i])->where('counter_id',$request->counter_id)->first();
                // dd($request->unit_id[$i]);
                $bill = new BillItems;
                $bill->supplier_id = $request->supplier_id;
                $bill->counter_id = $request->counter_id;
                $bill->sale_id = $id;
                $bill->table_id = $request->table_id;
                $bill->item_id = $request->item_id[$i];
                $bill->qty = $request->qty[$i];
                if($price->count() > 0){
                    $bill->rate = $price->amount;
                    $bill->amount = $price->amount * $request->qty[$i];
                }else{
                    $bill->rate = 0;
                    $bill->amount = 0 * $request->qty;
                }
                $bill->status = 2;
                $bill->order_no = $request->order_no;
                $bill->unit_id = $request->unit_id[$i];
                $bill->save();
            }
            
        $total = BillItems::where('sale_id','=',$id)->sum('amount');
        $bills = Sale::find($id);
        $bills->amount = $total;
        $bills->save();
        }
        return redirect('/sales/view')->with('success','Sale updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        
    }
    
    public function delete($id)
    {
        $sales = BillItems::find($id);
        $stock =  Stock::where("item_id",'=',$sales->item_id)->where('priority','=',$sales->priority)->where('counter_id','=',$sales->counter_id)->first();
        $peg = 0;
        $bottle  = 0 ;
        if($sales->unit_id == 26){
            $peg =  $sales->qty - $stock->pegs;
            $peg = $peg + $stock->pegs;
            // Stock::where('stk_id','=' ,$stock->stk_id)->update(['pegs' => $peg,]);
        }else{
            $bottle =  $sales->qty - $stock->bottles;
            $bottle =  $bottle + $stock->bottles;
             //Stock::where('stk_id','=' ,$stock->stk_id)->update(['bottles' => $bottle,]);
            
        }
        
        return $sales;
        //->forceDelete();
        return redirect()->back()->with('success','Item deleted successfully');
    }
    
    // View Sales
    public function ViewSales(Request $request)
    {
        $suppliers = Suppliers::all();
        $counters = Counters::where('purpose','=','1')->get();
        if(Auth::user()->role == '1' ){
            $bills = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
            ->join('suppliers','bill_items.supplier_id','=','suppliers.s_id')
            ->join('tables','bill_items.table_id','=','tables.t_id')
            ->join('counters','bill_items.counter_id','=','counters.cntr_id')
            ->select('*','sales.amount as amount')
            ->groupBy('bill_items.sale_id')
            ->orderBy('sales.sale_id','desc');
        }else{
            $bills = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
            ->join('suppliers','bill_items.supplier_id','=','suppliers.s_id')
            ->join('tables','bill_items.table_id','=','tables.t_id')
            ->where('sales.counter_id','=',Auth::user()->counter_id)
            ->groupBy('bill_items.sale_id')
            ->select('*','sales.amount as amount')
            ->orderBy('sales.sale_id','desc');
        }
        
        $from = $request->from;
        $to = $request->to;
        $supplier = $request->supplier_id;
        $counter = $request->counter_id;
        
        if($from && $to || $supplier  || $counter){
            if($from && $to){
                $bills = ($bills)->whereBetween('sales.date',[$from,$to]);
            }if($supplier){
                $bills = ($bills)->where('supplier_id',$supplier); 
            }if($counter){
                $bills = ($bills)->where('sales.counter_id',$counter); 
            }
            $bills = ($bills)->get();
        }else{
            $bills = $bills->where('sales.date',date('Y-m-d'))->get();
        }
        return view('sales.view_sales',compact('bills','suppliers','counters'));
    }
    
    function headDetails(Request $request)
    {
        $item = ItemPrice::join('units','item_prices.unit_id','=','units.u_id')->where('item_id','=',$request->id)->where('counter_id','=',$request->counter)->get();
        return $item;
    }
    
    
    function item_stock_fetch($counter_id,$item,$priority){
        
        
        
        $items = [];       
       $stock = array();
      
            
             $from = date('Y-m-d');
                        $to =date('Y-m-d');
                        $financial_year_date = date("Y-04-01");
                        $previous_day = date('Y-m-d',strtotime($from."-1 days")); 
                      
                        
            $items  =  IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                    ->join('items','issue_items.item_id','=','items.item_id')
                    ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                    ->join('units','issue_items.unit_id','=','units.u_id')
                    ->join('item_cases','units.u_id','=','item_cases.unit_id')
                   ->whereIn('issues.counter_id',$counter_id)
                   ->where('items.item_id','=',$item)
                   ->groupBy('issue_items.unit_id')
                   ->groupBy('items.item_id')
                   ->where('units.priority','=',$priority)
                   ->select('*','issues.counter_id as counter_id','issue_items.unit_id as unit_id','items.item_id as original_item_id')
                    ->get();
                    
            
                    
                    
                   
                
                    
                    
                    if(count($items)>0){
                        foreach($items as $item){
                            
                          
                           
                        $prevous_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$counter_id)
                               ->whereBetween('issues.date',array($financial_year_date,$previous_day ))
                                ->where('issue_items.measurement','=',0)->sum('issue_items.qty');
                                
                               
                                
                        $prevous_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$counter_id)
                               ->whereBetween('issues.date',array($financial_year_date,$previous_day ))
                                ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                        
                        
                        $previous_sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->whereNotIn('bill_items.unit_id',array("26","31"))
                                ->where('bill_items.item_unit_id','=',$item->u_id)
                               ->whereIn('sales.counter_id',$counter_id)
                               ->whereBetween('sales.date',array($financial_year_date,$previous_day ))
                               ->get();
                               
                        $prev_sale_ltrs = 0;
                        $prev_sale_bottles = 0;
                        foreach($previous_sales as $previous_sale){
                                
                            //$prev_ltrs = ($previous_sale->qty * $previous_sale->ml)/1000;
                            $prev_bottles = $previous_sale->qty;
                                
                            
                            //$prev_sale_ltrs += $prev_ltrs;
                            $prev_sale_bottles += $prev_bottles;
                        }
                                
                                
                            
                                
                        $prev_sale_pegs =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->where('bill_items.unit_id','=',26)
                                 ->where('bill_items.item_unit_id','=',$item->u_id)//peg
                               ->whereIn('sales.counter_id',$counter_id)
                               ->whereBetween('sales.date',array($financial_year_date,$previous_day ))
                               ->get();
                
                    
                    $prev_pegs = 0;
                    $prev_smalls = 0;
                    foreach($prev_sale_pegs as $prev_sale_peg){
                            
                        $prev_peg = $prev_sale_peg->qty * 60;
                      
                        
                        $prev_pegs += $prev_peg;
                    }
                
                
                
                
                
                     $prev_sale_smalls =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                    ->join('units','bill_items.unit_id','=','units.u_id')
                                    ->where('item_id','=',$item->original_item_id)
                                     ->where('bill_items.item_unit_id','=',$item->u_id)//peg
                                    ->where('bill_items.unit_id','=',31)                              //small
                                   ->whereIn('sales.counter_id',$counter_id)
                                   ->whereBetween('sales.date',array($financial_year_date,$previous_day ))
                                   ->get();
                    
                    
                    foreach($prev_sale_smalls as $prev_sale_small){
                                
                            $prev_small = $prev_sale_small->qty * 30;
                          
                            
                            $prev_smalls += $prev_small;
                        }
                                
                                
                        $current_case_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$counter_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',0)
                                ->sum('issue_items.qty');
                                
                                
                        
                         
                        $current_bootle_count = IssueItem::join('issues','issue_items.issue_id','=','issues.i_id')
                                 ->where('issue_items.unit_id','=',$item->u_id)
                                ->where('issue_items.item_id','=',$item->original_item_id)
                               ->whereIn('issues.counter_id',$counter_id)
                               ->whereBetween('issues.date',array($from,$to ))
                                ->where('issue_items.measurement','=',1)->sum('issue_items.qty');
                        
                        
                        
                        
                       
                        
                        
                         $sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->whereNotIn('bill_items.unit_id',array("26","31"))
                               
                               ->where('bill_items.item_unit_id','=',$item->u_id)
                               ->whereIn('sales.counter_id',$counter_id)
                               ->whereBetween('sales.date',array($from,$to ))
                               ->get();
                               
                        $sale_ltrs = 0;
                        $sale_bottles = 0;
                        foreach($sales as $sale){
                                
                            //$ltrs = ($sale->qty * $sale->ml)/1000;
                            $bottles = $sale->qty;
                                
                            
                            //$sale_ltrs += $ltrs;
                            $sale_bottles += $bottles;
                        }
                                
                            
                                
                                
                        $sale_pegs =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->original_item_id)
                                ->where('bill_items.unit_id','=',26)                              //peg
                                ->Where('bill_items.item_unit_id','=',$item->u_id)
                               ->whereIn('sales.counter_id',$counter_id)
                               ->whereBetween('sales.date',array($from,$to ))
                               ->get();
                
                    
                    $pegs = 0;
                    $smalls = 0;
                    foreach($sale_pegs as $sale_peg){
                            
                        $peg = $sale_peg->qty * 60;
                        $pegs += $peg;
                    }
                
                
                
                
                
                     $sale_smalls =  Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                    ->join('units','bill_items.unit_id','=','units.u_id')
                                    ->where('item_id','=',$item->original_item_id)
                                   
                                    ->where('bill_items.unit_id','=',31)                              //small
                                    ->Where('bill_items.item_unit_id','=',$item->u_id)
                                   ->whereIn('sales.counter_id',$counter_id)
                                   ->whereBetween('sales.date',array($from,$to ))
                                   ->get();
                    
                    
                    foreach($sale_smalls as $sale_small){
                                
                            $small = $sale_small->qty * 30;
                            $smalls += $small;
                        }
                        
                        
                       
                        
                        $res =0;
                        
                        $ml = $smalls + $pegs;
                        $prev_ml = $prev_smalls + $prev_pegs;
                        
                        $res =  $ml/60;
                        $prev_res = $prev_ml/60;
                        
                        
                        $previous_bottle_count  =   $prevous_case_count  *  $item->case_count + $prevous_bootle_count - $prev_sale_bottles ;   
                        
                        $previous_ltrs = ($previous_bottle_count * $item->ml - $prev_ml) / $item->ml;
                        
                        $op_bottle = floor($previous_ltrs); 
                        
                        $op_peg = $previous_ltrs - $op_bottle;
                        
                        $op_pegs = ($op_peg * $item->ml)/60;
                        
                        $op_pegs = number_format((float)$op_pegs, 2, '.', '');
                        
                        $current_bottle_count  =  $current_case_count * $item->case_count + $current_bootle_count;
                        
                        
                        
                        
                        // $issue_ltrs = ($issue_bottle_count * $item->ml) / $item->ml;
                        
                        
                        
                        
                       
                        
                        $closing_bottle_count  = $op_bottle  + $current_bottle_count - $sale_bottles +($op_pegs*60/$item->ml) ;
                        
                       
                        
                        $closing_ltrs = ($closing_bottle_count * $item->ml -  $ml)/$item->ml;
                        
                        $closing_bottle = floor($closing_ltrs);
                        
                        $cl_peg = $closing_ltrs - $closing_bottle;
                        
                        $cl_pegs = (($cl_peg * $item->ml)/60) ; 
                        
                        $cl_pegs = number_format((float)$cl_pegs, 2, '.', '');
                            
                            
                           // array_push($stock, $item->priority);
                           $stock  =[
                               "bottle"=>$closing_bottle,
                               'pegs'=>$cl_pegs
                               ];
                            
                            
                        }
                        
                    }
        
        
        
       
      
        
        
        return $stock ;
    }
    
    
}
