<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Counters;
use App\Sale;
use App\BillItems;

class SaleSummaryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $counters =  Counters::where('purpose','=','1')->get();
        
        
        $from = $request->from;
        $to = $request->to;
        $counter = $request->counter_id;
        $date = date('Y-m-d');
        $reports = array(); 
        
        
        
        
       
        $sales = Sale::whereBetween('sales.date',array($from,$to));
        
        
         if(!($from && $to)){
             
             $from = date("Y-m-d");
             $to = date("Y-m-d");
         }
        
        if( $counter  ){
              $sales = ($sales)->whereIn('sales.counter_id',$counter);
        }     
        $sales = ($sales)->get();
           
            
           
    //   return $sales;
        
        
        $liquor_total = 0;
        $beer_total = 0;
        $other_total = 0;
        $wine_total = 0;
        $food_total = 0;
        $grand_total = 0;
        
        if(count($sales)>0){
            
            foreach($sales as $sale){
                
                
                $liquor = BillItems::join('items','bill_items.item_id','=','items.item_id')->where('item_head_id','=',1)->where('sale_id','=',$sale->sale_id)->sum('amount');
                $beer = BillItems::join('items','bill_items.item_id','=','items.item_id')->where('item_head_id','=',2)->where('sale_id','=',$sale->sale_id)->sum('amount');
                $other = BillItems::join('items','bill_items.item_id','=','items.item_id')->where('item_head_id','=',3)->where('sale_id','=',$sale->sale_id)->sum('amount');
                $wine = BillItems::join('items','bill_items.item_id','=','items.item_id')->where('item_head_id','=',4)->where('sale_id','=',$sale->sale_id)->sum('amount');
                $food = BillItems::join('items','bill_items.item_id','=','items.item_id')->where('item_head_id','=',5)->where('sale_id','=',$sale->sale_id)->sum('amount');
                $total = BillItems::join('items','bill_items.item_id','=','items.item_id')->where('sale_id','=',$sale->sale_id)->sum('amount');
            
                $reports[] = [
                    
                        'bill_no' => $sale->sale_no,
                        'liquor' => $liquor,
                        'beer' => $beer,
                        'wine' => $wine,
                        'food' => $food,
                        'other' => $other,
                        'total' => $total,
                    ];
            
                
                $liquor_total += $liquor;
                $beer_total += $beer;
                $other_total += $other;
                $wine_total += $wine;
                $food_total += $food;
                $grand_total += $total;
            }
            
        }
        
        
        return view('reports.sale_summary',compact('counters','reports','liquor_total','beer_total','other_total','wine_total','food_total','grand_total'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
