<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Counters;
use App\Suppliers;

class SupplierController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $suppliers = Suppliers::leftjoin('counters','suppliers.counter_id','=','counters.cntr_id')->get();
        return view('suppliers.index',compact('suppliers'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $counters = Counters::all();
        return view('suppliers.create',compact('counters'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $suppliers = new Suppliers;
        $suppliers->supplier_name = $request->supplier_name;
        $suppliers->counter_id = $request->counter_id;
        $suppliers->save();
        return Redirect()->back()->with('success','Suppliers added successfully');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $supplier = Suppliers::leftjoin('counters','suppliers.counter_id','=','counters.cntr_id')->find($id);
        $counters = Counters::all();
        return view('suppliers.edit',compact('counters','supplier'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $suppliers = Suppliers::find($id);
        $suppliers->supplier_name = $request->supplier_name;
        $suppliers->counter_id = $request->counter_id;
        $suppliers->save();
        return Redirect('/suppliers')->with('success','Suppliers updated successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
