<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Counters;
use App\Suppliers;
use App\BillItems;
use App\Sale;

class SupplierWiseSaleReportController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $counters = Counters::where('purpose','=','1')->get();
        $suppliers =Suppliers::all();
        
        
        $from = $request->from;
        $to = $request->to;
        $counter = $request->counter_id;
        $supplier = $request->supplier_id;
        $date = date('Y-m-d');
        $report = array();
        
        $supplier_array  = array();
        
        
       
        $items = BillItems::join('sales','bill_items.sale_id','=','sales.sale_id')
                            ->join('units','bill_items.unit_id','=','units.u_id')
                            ->join('items','bill_items.item_id','=','items.item_id')
                            ->join('item_heads','items.item_head_id','=','item_heads.ih_id')
                            ->join('suppliers','bill_items.supplier_id','=','suppliers.s_id')
                            ->select('*','bill_items.counter_id as counter_id')
                            ->groupBy('name','u_name');
        
        if($from && $to || $counter || $supplier ){
            
            if($from && $to){
                
                $items = $items->whereBetween('date',array($from,$to));
                
            }if($counter){
                
                $items = $items->whereIn('bill_items.counter_id',$counter);
                
            }if($supplier){
                
                $items = $items->where('bill_items.supplier_id','=',$supplier);
                
            }
            $items = $items->get();
            
            $date1 = $from;
            $date2 = $to;
            
        }else{
            
            $items = $items->where('date',$date)->get();
            
            $date1 = $date;
            $date2 = $date;
            
        }
        
        
        
        
       
        if(count($items) > 0){
            foreach($items as $item){
                
                                
                $sales = Sale::join('bill_items','sales.sale_id','=','bill_items.sale_id')
                                ->join('units','bill_items.unit_id','=','units.u_id')
                                ->where('item_id','=',$item->item_id)
                                ->where('unit_id','=',$item->u_id)
                                ->whereBetween('sales.date',array($date1,$date2))
                                ->where('supplier_id','=',$item->supplier_id)
                                ->where('sales.counter_id','=',$item->counter_id)
                               ->get();
                               
                
                        
                
                $report[] = [
                    
                        'supplier' => $item->supplier_name,
                        'item_head' => $item->ih_name,
                        'item' => $item->name,
                        'unit' => $item->u_name,
                        'qty' => $sales->sum('qty'),
                        'rate' => $item->rate,
                        'amount' => $sales->sum('amount'),
                    ];
                    
                   
                
            }
        }
        
        $tmp = array();
 
        foreach($report as $arg)
        {
            $old_arg =  $arg;
            
            //$arg=$arg->forget("supplier");
            unset($arg["supplier"]);
           
            $tmp[$old_arg['supplier']][] = $arg;
        }
 
        $output = array();
 
        foreach($tmp as $type => $labels)
        {
         $output[] = array(
            'supplier' => $type,
            'items' => $labels
        );
        }
        
        
        
        $last_supplier_array =  array();
        if(count($output) > 0 ){
            foreach($output as $out){
                $supplier_array[] = [ $out["supplier"],"","","","","",""];
                $total = 0 ;
                 if(count($out["items"]) > 0 ){
                   foreach($out["items"] as $ou){
                       $supplier_array[] = [ "",$ou["item_head"],$ou["item"],$ou["unit"],$ou["qty"],$ou["rate"],$ou["amount"]];
                       $total  =  $total + $ou["amount"];
                       
                   }
                 }
                $supplier_array[] =["","","","","","Total",$total];
                array_push($last_supplier_array,$supplier_array);
                
            }
        }
        //  return $last_supplier_array;
        
        
        
        
       
        
        
        return view('reports.supplier_wise_sale_report',compact('counters','suppliers','report','output','last_supplier_array'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        

    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
