@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Transactions</h3>
      </div>
      
        <form action="{{route('account_transactions.store')}}" method="post" >
        @csrf
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date"   required>
              </div>
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Type</label>
                <select  class="form-control" name="type" required>
                    <option value="" hidden></option>
                    <option value="1">Credit</option>
                    <option value="2">Debit</option>
                </select>
              </div>
              <!--<div class="form-group col-md-3">-->
              <!--  <label for="exampleInputEmail1">Category</label>-->
              <!--  <select  class="form-control select2bs4 " name="category" onchange="funHead(this.value)" required>-->
              <!--      <option value="" hidden></option>-->
              <!--      @foreach($categories as $category)-->
              <!--      <option value="{{$category->ac_id}}" >{{$category->account_category}}</option>-->
              <!--      @endforeach-->
              <!--  </select>-->
              <!--</div>-->
             
              <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                        <th >Head</th>
                        <th >Amount</th>
                        <th >Payment Method</th>
                        <th>Bank</th>
                        <th>Remarks</th>
                        <th >#</th>
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                    </tbody>
                  </table>
                  </div>
                  <button class="btn btn-md btn-success" id="addBtn" type="button">
                    +
                  </button>
                  
                  <br>
                  
                </div>
          </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>

<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 0;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <select  class="form-control select2" name="head[]" id="head`+rowIdx+`"  required>
            <option value="" hidden></option>
            @foreach($heads as $head)
            <option value="{{$head->ah_id}}">{{$head->head}}</option>
            @endforeach
        </select>
      </td>
      <td class="row-index text-center">
       <input type="number" step="any" class="form-control" name="amount[]"   required>
      </td>
      <td class="row-index text-center">
        <select  class="form-control" name="payment_method[]"  required>
            <option value="" hidden></option>
            @foreach($methods as $method)
            <option value="{{$method->pm_id}}">{{$method->method}}</option>
            @endforeach
        </select>
      </td>
      <td class="row-index text-center">
        <select  class="form-control" name="bank[]"  >
            <option value="" hidden></option>
            @foreach($banks as $bank)
            <option value="{{$bank->b_id}}">{{$bank->bank_name}}</option>
            @endforeach
        </select>
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="remarks[]"  >
      </td>
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`);
       $('.select2').select2();
  });
 

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
    var child = $(this).closest('tr').nextAll();
  
    child.each(function () {
    var id = $(this).attr('id');
    var idx = $(this).children('p');
    var dig = parseInt(id.substring(1));
    idx.html(`Row ${dig - 1}`);
    $(this).attr('id', `R${dig - 1}`);
    });

    $(this).closest('tr').remove();

    rowIdx--;
  });
  });

  </script>
 
 <script>
     function funHead(id){
          $.ajax({
            type : 'POST',
            data: {'id' : id,'_token':'{{csrf_token()}}'},
            url : "{{url('/account_transactions/headDetails')}}",
            success:function(data){
                
                //alert(data);
                // console.log(data);
                $("#head").empty();
                for (var i in data) {
                    $("#head").append('<option value=' + data[i]['ah_id'] + '>' + data[i]['head'] + '</option>').change;
                }

            },
            async: false
        });
     }
 </script>
@endsection
