@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Transactions</h3>
      </div>
      
        <form action="{{route('account_transactions.update',$transaction->at_id)}}" method="post" >
        @csrf
        @method("PATCH")
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date" value="{{$transaction->date}}"   required>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Type</label>
                <select  class="form-control" name="type" required>
                    @if($transaction->type == 1)
                    <option value="1" hidden>Credit</option>
                    @else
                    <option value="2" hidden>Debit</option>
                    @endif
                    <option value="1">Credit</option>
                    <option value="2">Debit</option>
                </select>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Category</label>
                <select  class="form-control select2bs4" name="category" onchange="funHead(this.value)" required>
                    <option value="{{$transaction->ac_id}}" hidden>{{$transaction->account_category}}</option>
                    @foreach($categories as $category)
                    <option value="{{$category->ac_id}}" >{{$category->account_category}}</option>
                    @endforeach
                </select>
              </div>
             <div class="form-group col-md-3">
                <label for="exampleInputEmail1"> Head</label>
                <select  class="form-control select2bs4" name="head"  required>
                    <option value="{{$transaction->head_id}}" hidden>{{$transaction->head}}</option>
                    @foreach($heads as $head)
                    <option value="{{$head->ah_id}}">{{$head->head}}</option>
                    @endforeach
                </select>
              </div>
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Amount</label>
                <input type="number" step="any" class="form-control" name="amount" value="{{$transaction->amount}}"  required>
              </div>
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Payment Method</label>
                <select  class="form-control" name="payment_method"  required>
                    <option value="{{$transaction->payment_method_id}}" hidden>{{$transaction->method}}</option>
                    @foreach($methods as $method)
                    <option value="{{$method->pm_id}}">{{$method->method}}</option>
                    @endforeach
                </select>
              </div>
              <div class="form-group col-md-4">
                <label for="exampleInputEmail1">Bank</label>
                <select  class="form-control" name="bank"  >
                    <option value="{{$transaction->bank_id}}" hidden>{{$transaction->bank_name}}</option>
                    @foreach($banks as $bank)
                    <option value="{{$bank->b_id}}">{{$bank->bank_name}}</option>
                    @endforeach
                </select>
              </div>
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Remarks</label>
                <input type="text" class="form-control" name="remarks"  >
              </div>
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>
 
@endsection