@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Transactions</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label for="exampleInputEmail1">Type</label>
                    <select  class="form-control" name="type" >
                        <option value="" hidden></option>
                        <option value="1">Credit</option>
                        <option value="2">Debit</option>
                    </select>
                  </div>
                 <div class="form-group col-md-2">
                    <label for="exampleInputEmail1">Category</label>
                    <select  class="form-control select2bs4" name="category" onchange="funHead(this.value)" >
                        <option value="" hidden></option>
                        @foreach($categories as $category)
                        <option value="{{$category->ac_id}}" >{{$category->account_category}}</option>
                        @endforeach
                    </select>
                  </div>
                 <div class="form-group col-md-2">
                    <label for="exampleInputEmail1"> Head</label>
                    <select  class="form-control select2bs4" name="head_id"  >
                        <option value="" hidden></option>
                        @foreach($heads as $head)
                        <option value="{{$head->ah_id}}">{{$head->head}}</option>
                        @endforeach
                    </select>
                  </div>
                  <!--<div class="form-group col-md-2">-->
                  <!--  <label for="exampleInputEmail1">Bank</label>-->
                  <!--  <select  class="form-control" name="bank_id"  >-->
                  <!--      <option value="" hidden></option>-->
                  <!--      @foreach($banks as $bank)-->
                  <!--      <option value="{{$bank->b_id}}">{{$bank->bank_name}}</option>-->
                  <!--      @endforeach-->
                  <!--  </select>-->
                  <!--</div>-->
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Date</th>
                       
                        <th scope="col">Head</th> 
                        <th scope="col">Remarks</th>
                        <th scope="col">Amount</th>
                        <th scope="col">Type</th>
                        <th scope="col">Payment Method</th>
                        <th scope="col">Bank</th>
                       
                        <th scope="col">#</th>
                      </tr>
                    </thead>
                    <tbody>
                      @php($i=1)
                      @foreach($transactions as $transactions)
                      
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <td>{{date('d-m-Y',strtotime($transactions->date))}}</td>
                       
                        <td>{{$transactions->head}}</td>
                         <td>{{$transactions->remarks}}</td>
                        <td>{{$transactions->amount}}</td>
                        <td>@if($transactions->type == 1)
                            Credit
                            @else
                            Debit
                            @endif
                        </td>
                        <td>{{$transactions->method}}</td>
                        <td>{{$transactions->bank_name}}</td>
                       
                        <td>
                             <a href="{{route('account_transactions.edit',$transactions->at_id)}}" class="btn " ><i class="fa fa-pencil"></i></a>
                        </td>
                       
                      </tr>
                      
                      @endforeach
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <td><b>Total</b></td>
                        <td></td>
                        <td></td>
                        <td>{{$total}}</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                      </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection