@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Bank Report</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
                <form >
                @csrf
                <div class="row">
                  <div class="form-group  col-md-2">
                    <label>From </label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="from"  >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label>To</label>
                    <div class="input-group">                   
                      <input type="date" class="form-control" name="to" >
                    </div>
                  </div>
                  <div class="form-group col-md-2">
                    <label for="exampleInputEmail1">Bank</label>
                    <select  class="form-control" name="bank_id"  >
                        <option value="" hidden></option>
                        @foreach($banks as $bank)
                        <option value="{{$bank->b_id}}">{{$bank->bank_name}}</option>
                        @endforeach
                    </select>
                  </div>
                  
                  <div class="col" style="padding-top:30px;">
                    <button type="submit" class="btn btn-primary">Submit</button>
                  </div>
                </div>
              </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Bank Name</th>
                        <th scope="col">Withdraw</th>
                        <th scope="col">Deposit</th>
                        <th scope="col">Bank Balance</th>
                      </tr>
                    </thead>
                    <tbody>
                        <?php $withTotal = 0; $depTotal = 0; ?>
                      @php($i=1)
                      @foreach($report as $bank)
                      
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <td>{{$bank['bank']}}</td>
                        <td>{{$bank['withdraw']}}</td>
                        <td>{{$bank['deposit']}}</td>
                        <td>{{$bank['balance']}}</td>
                       
                      </tr>
                      <?php $withTotal += $bank['withdraw'];
                            $depTotal += $bank['deposit'];
                        ?>
                      @endforeach
                       <tr>
                          <th scope="row">Total</td>
                          <td></td>
                          <td>{{$withTotal}}</td>
                          <td>{{$depTotal}}</td>
                          <td></td>
                      </tr>
                      
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection