@extends('layouts.side')

@section('content')

              @if(Auth::user()->role == 1)
<section class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-12">
        <h1>Dashboard</h1>
      </div>
    </div>
  </div><!-- /.container-fluid -->
</section>
<section class="content">
    <div class="container-fluid">
        <form>
            @csrf
            <div class="row">
                <div class="form-group col-md-3">
                    <label for="exampleInputEmail1">Date</label>
                    <input type="date" class="form-control" name="date" required>
                </div> 
                <div class="form-group col-md-3 py-2">
                    <br>
                    <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                </div>
            </div>    
        </form>
            
        <div class="row">
            <div class="col-6">
                <div class="col-md col-sm-6 col-12">
                    <div class="info-box shadow">
                      <span class="info-box-icon bg-info"><i class="fas fa-shopping-cart"></i></span>
                      <div class="info-box-content">
                        <span class="info-box-text">Purchase</span>
                        <span class="info-box-number">{{$purchase}}</span>
                      </div>
                      <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                 </div>
            </div>
            <div class="col-6">
                <div class="col-md col-sm-6 col-12">
                    <div class="info-box shadow">
                      <span class="info-box-icon bg-warning"><i class="fas fa-shopping-cart"></i></span>
                      <div class="info-box-content">
                        <span class="info-box-text">Kitchen Purchase</span>
                        <span class="info-box-number">{{$kitchen_purchase}}</span>
                      </div>
                      <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                 </div>
            </div>
        </div>
        <div class="row">
            <div class="card col-4 shadow">
                <div class="card-header border-transparent">
                    <h3 class="card-title">Accounts</h3>
                </div>
                <div class="info-box mb-4 bg-info col-px-2 col ">
                    <span class="info-box-icon"><i class="fas fa-coins"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Opening Balance</span>
                        <span class="info-box-number">{{$opening_balance}}</span>
                    </div>
                </div>
                <div class="info-box mb-4 bg-warning col-px-2 col ">
                    <span class="info-box-icon"><i class="fas fa-inr"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Credit</span>
                        <span class="info-box-number">{{$cl_credit}}</span>
                    </div>
                </div>
                <div class="info-box mb-4 bg-danger col-px-2 col ">
                    <span class="info-box-icon"><i class="fas fa-inr"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Debit</span>
                        <span class="info-box-number">{{$cl_debit}}</span>
                    </div>
                </div>
                <div class="info-box mb-4 bg-success col-px-2 col ">
                    <span class="info-box-icon"><i class="fas fa-coins"></i></span>
                    <div class="info-box-content">
                        <span class="info-box-text">Closing Balance</span>
                        <span class="info-box-number">{{$closing_balance}}</span>
                    </div>
                </div>
            </div>
            <!-- /.card -->
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-transparent">
                        <h3 class="card-title">Sale</h3>
                    </div>
                    <div class="card-body p-0">
                        <div class="table-responsive">
                            <table class="table m-0">
                                <thead>
                                    <tr>
                                        <th>Counter</th>
                                        <th>Count</th>
                                        <th>Amount</th>
                                    </tr>
                                 </thead>
                                 <tbody>
                                     @foreach($sale_array as $sale)
                                      <tr>
                                        <td>{{$sale['counter']}}</td>
                                        <td>{{$sale['count']}}</td>
                                        <td>{{$sale['amount']}}</td>
                                      </tr>
                                      @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

            @endif
@endsection
