@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Issue Items</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
     @if(session('danger'))
        <div class="alert alert-danger d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('danger') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            
            <!-- /.card-header -->
            <div class="card-body">
          <form  >
        @csrf
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">From</label>
                <input type="date" class="form-control" name="from"  placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">To</label>
                <input type="date" class="form-control" name="to"  placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Counter</label>
                <select class="form-control" name="counter_id">
                    <option value="" hidden></option>
                    @foreach($counters as $counter)
                    <option value="{{$counter->cntr_id}}" >{{$counter->counter_name}}</option>
                    @endforeach
                </select>
              </div>
              <div class="form-group col-md-3 py-2">
                  <br>
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
            
          </div>
          </form>

            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    @if(Auth::user()->role != 0)
                    <th scope="col" id="hide">Issue no</th>
                    @endif
                    <th scope="col">Date</th>
                    <th scope="col">Category</th>
                    <th scope="col">Counter</th>
                    <th scope="col">#</th>
                    <th scope="col">#</th>
                    
                  </tr>
                </thead>
                <tbody>
                  @php($i=1)
                  @foreach($issues as $issue)
                  
                  <tr class="odd">
                  <th scope="row">{{$i++}}</th>
                  @if(Auth::user()->role != 0)
                    <td id="hide">{{$issue->issue_no}}</td>
                     @endif
                     <td>{{$issue->date}}</td>
                     @if($issue->status == 0)
                        <td>Issue</td>
                     @else
                        <td>Transfer</td>
                     @endif
                     <td>{{$issue->counter_name}}</td>
                     <td><a href="{{route('issue.show',$issue->i_id)}}">View</a></td>
                     <td><a href="{{route('issue.edit',$issue->i_id)}}" class="btn" ><i class="fa fa-pencil"></i></a></td>
                   
                  </tr>
                  
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>
    
    

@endsection