
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Items</h3>
      </div>
      
        <form action="{{route('item_prices.store')}}" method="post" >
        @csrf
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Counter</label>
                <select name="counter" class="form-control"  required>
                    <option hidden value="">-- Select Counter --</option>
                    @if(count($counters)>0)
                        @foreach($counters as $counter)
                            <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                        
                        @endforeach
                    @endif
                </select>
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Items</label>
                <select name="item" class="form-control select2"  required>
                    <option hidden value="">-- Select Item --</option>
                    @if(count($items)>0)
                        @foreach($items as $item)
                            <option value="{{$item->item_id}}">{{$item->name}}</option>
                        
                        @endforeach
                    @endif
                </select>
              </div> 
              
               <div class="container col-md-10">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                      <th >Unit</th>
                     <th>Amount</th>
                    
                      <th >#</th>
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                    </tbody>
                  </table>
                  </div>
                  <button class="btn btn-md btn-success"
                  id="addBtn" type="button">
                    +
                  </button>
                  
                  <br>
                  
                </div>
              
              
              
             
              
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>
<script src=
"https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src=
"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 0;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <select name="unit[]" class="form-control"  required>
                    <option hidden value="">-- Select Unit --</option>
                    @if(count($units)>0)
                        @foreach($units as $unit)
                            <option value="{{$unit->u_id}}">{{$unit->u_name}}</option>
                        
                        @endforeach
                    @endif
                </select>
      </td>
      <td class="row-index text-center">
         <input type="text" class="form-control" name="amount[]"  placeholder="" required>
      </td>
      
     
     
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`);
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
    var child = $(this).closest('tr').nextAll();
  
    child.each(function () {
    var id = $(this).attr('id');
    var idx = $(this).children('p');
    var dig = parseInt(id.substring(1));
    idx.html(`Row ${dig - 1}`);
    $(this).attr('id', `R${dig - 1}`);
    });

    $(this).closest('tr').remove();

    rowIdx--;
  });
  });

  </script>
  
@endsection
