
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Items</h3>
      </div>
      
        <form action="{{route('item_prices.update',$price->ip_id)}}" method="post" >
        @csrf
        @method("PATCH")
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Counter</label>
                <select name="counter" class="form-control"  required>
                    <option hidden value="{{$price->counter_id}}">{{$price->counter_name}}</option>
                    @if(count($counters)>0)
                        @foreach($counters as $counter)
                            <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                        
                        @endforeach
                    @endif
                </select>
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Items</label>
                <select name="item" class="form-control select2"  required>
                    <option hidden value="{{$price->item_id}}">{{$price->name}}</option>
                    @if(count($items)>0)
                        @foreach($items as $item)
                            <option value="{{$item->item_id}}">{{$item->name}}</option>
                        
                        @endforeach
                    @endif
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Units</label>
                <select name="unit" class="form-control"  required>
                    <option hidden value="{{$price->unit_id}}">{{$price->u_name}}</option>
                    @if(count($units)>0)
                        @foreach($units as $unit)
                            <option value="{{$unit->u_id}}">{{$unit->u_name}}</option>
                        
                        @endforeach
                    @endif
                </select>
               
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Amount</label>
                 <input type="text" class="form-control" name="amount" value="{{$price->amount}}"  placeholder="" required>
            </div>
              
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

  
@endsection
