@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Item Prices</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            
            <!-- /.card-header -->
            <div class="card-body">
            <form>
                @csrf
                  <div class="row">
                      
                      
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">Item Head</label>
                        <select class="form-control" name="item_head_id" >
                            <option value="" hidden></option>
                            @foreach($heads as $head)
                            <option value="{{$head->ih_id}}">{{$head->ih_name}}</option>
                            @endforeach
                        </select>
                      </div> 
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">Item Category</label>
                        <select class="form-control" name="category_id" >
                            <option value="" hidden></option>
                            @foreach($categories as $category)
                            <option value="{{$category->ic_id}}">{{$category->category}}</option>
                            @endforeach
                        </select>
                      </div> 
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">Unit</label>
                        <select class="form-control" name="unit_id" >
                            <option value="" hidden></option>
                            @foreach($units as $unit)
                            <option value="{{$unit->u_id}}">{{$unit->u_name}}</option>
                            @endforeach
                        </select>
                      </div> 
                      <div class="form-group col-md-2">
                        <label for="exampleInputEmail1">Counter</label>
                        <select class="form-control" name="counter_id" >
                            <option value="" hidden></option>
                            @foreach($counters as $counter)
                            <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                            @endforeach
                        </select>
                      </div>
                      
                      <div class="form-group col-md-2 py-2">
                          <br>
                          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                      </div>
                  </div>
              </form>

            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Counter</th>
                    <th scope="col">Unit</th>
                    <th scope="col">Amount</th>
                    <th scope="col">#</th>
                  </tr>
                </thead>
                <tbody>
                  @php($i=1)
                  @foreach($prices as $price)
                  
                  <tr class="odd">
                  <th scope="row">{{$i++}}</th>
                    <td>{{$price->name}}</td>
                     <td>{{$price->counter_name}}</td>
                     <td>{{$price->u_name}}</td>
                     <td>{{$price->item_amount}}</td>
                     <td>
                         <a href="{{route('item_prices.edit',$price->ip_id)}}" class="btn"><i class="fa fa-pencil"></i></a>
                     </td>
                   
                  </tr>
                  
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection