@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Orders</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Orders</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
            
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Item Name</th>
                    <th scope="col">Supplier</th>
                    <th scope="col">Table No</th>
                    <th scope="col">Order No</th>
                    <th scope="col">Counter</th>
                    <th scope="col">Quantity</th>
                    <th scope="col">Unit</th>
                    <th scope="col">#</th>
                  </tr>
                </thead>
                <tbody>
                  @php($i=1)
                  @foreach($orders as $order)
                  
                  <tr class="odd">
                    <th scope="row">{{$i++}}</th>
                    <td>{{$order->name}}</td>
                    <td>{{$order->supplier_name}}</td>
                    <td>{{$order->table_no}}</td>
                    <td>{{$order->order_no}}</td>
                    <td>{{$order->counter_name}}</td>
                    <td>{{$order->qty}}</td>
                    <td>{{$order->u_name}}</td>
                    <td>
                        <form action="{{route('kitchen.update',$order->bi_id)}}" method="post">
                            @csrf
                            @method("PATCH")
                            <button class="btn btn-success" type="submit">Dispatch</button>
                        </form>
                        
                    </td>
                   
                  </tr>
                  
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection