
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Store Issue</h3>
      </div>
      
        <form action="{{route('kitchen_issues.update',$issues->kis_id)}}" method="post" >
        @csrf
        @method("PATCH")
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Issue No</label>
                <input type="number" class="form-control" name="issue_no" value="{{$issues->issue_no}}"   readonly required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date" value="{{$issues->date}}"  required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Counter</label>
                <select class="form-control" name="counter_id" required>
                    <option value="{{$issues->counter_id}}" hidden>{{$issues->counter_name}}</option>
                    @foreach($counters as $counter)
                    <option value="{{$counter->cntr_id}}" >{{$counter->counter_name}}</option>
                    @endforeach
                </select>
              </div>
               <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Remarks</label>
                <input type="text" class="form-control" name="remarks" value="{{$issues->remarks}}" placeholder="" >
              </div> 
          </div>
          <div class="container col-md-12">
                <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th >Item Name</th>
                            <th >Unit</th>
                            <th >Quantity</th>
                        </tr>
                    </thead>
                    <tbody id="tbody">
                         @if(count($issue_items) > 0 )
                         @foreach($issue_items as $issue_item)
                        <tr id="R${++rowIdx}">
                          <td class="row-index text-center">
                            <select name="item_id[]" required class="form-control select2" onchange="funUnit(this.value,`+rowIdx+`)" required>
                            <option hidden value="{{$issue_item->item_id}}">{{$issue_item->item_name}} </option>
                            @if(count($items) > 0)
                                @foreach($items as $item)
                                  <option value="{{$item->ki_id}}">{{$item->item_name}}</option>
                                @endforeach
                             @endif
                            </select>
                          </td>
                           <td class="row-index text-center">
                            <select name="unit_id[]" required class="form-control" id="unit`+rowIdx+`" required>
                            <option hidden value="{{$issue_item->unit_id}}">{{$issue_item->unit}}</option>
                            @if(count($units) > 0)
                                @foreach($units as $unit)
                                  <option value="{{$unit->id}}">{{$unit->unit}}</option>
                                @endforeach
                             @endif
                                
                            </select>
                          </td>
                          <td class="row-index text-center">
                            <input type="number" step="any" class="form-control" name="qty[]" value="{{$issue_item->quantity}}" placeholder="" required>
                          </td>
                         
                          <!--<td class="row-index text-center">-->
                            <input type="number" step="any" class="form-control" name="rate[]" value="{{$issue_item->rate}}" placeholder="" hidden readonly>
                          <!--</td>-->
                          
                        </tr>
                        @endforeach
                        @endif
                    </tbody>
                  </table>
                 </div>
                 
            </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>



  
@endsection
