@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Store Issues</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
            <form  >
                @csrf
                    <div class="card-body">
                      <div class="row">
                          <div class="form-group col-md-3">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from"  placeholder="" >
                          </div> 
                          <div class="form-group col-md-3">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to"  placeholder="" >
                          </div> 
                          <div class="form-group col-md-3">
                            <label for="exampleInputEmail1">Counter</label>
                            <select class="form-control" name="counter_id" >
                                <option value="" hidden></option>
                                @foreach($counters as $counter)
                                <option value="{{$counter->cntr_id}}" >{{$counter->counter_name}}</option>
                                @endforeach
                            </select>
                          </div>
                          <div class="form-group col-md-3 py-2">
                              <br>
                      <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                    </div>
                </div>
            </form>
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                    <th scope="col">Sl No</th>
                    <th scope="col">Date</th>
                    <th scope="col">Counter Name</th>
                    <th scope="col">Remarks</th>
                    <th scope="col">#</th>
                    <th scope="col">#</th>
                  </tr>
                </thead>
                <tbody>
                  @php($i=1)
                  @foreach($issues as $issue)
                  
                  <tr class="odd">
                  <th scope="row">{{$i++}}</th>
                     <td>{{$issue->date}}</td>
                     <td>{{$issue->counter_name}}</td>
                     <td>{{$issue->ramarks}}</td>
                     <td>
                         <a href="{{route('kitchen_issues.show',$issue->kis_id)}}" ><i class="fas fa-eye"></i></a>
                     </td>
                     <td>
                         <a href="{{route('kitchen_issues.edit',$issue->kis_id)}}" class="btn"><i class="fa fa-pencil"></i></a>
                     </td>
                   
                  </tr>
                  
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection