
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Store Items</h3>
      </div>
      
        <form action="{{route('kitchen_items.store')}}" method="post" >
        @csrf
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Item Name</label>
                <input type="text" class="form-control" name="item_name"  placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Unit</label>
                <select  class="form-control" name="unit"  required>
                    <option value="" hidden></option>
                    @foreach($units as $unit)
                    <option value="{{$unit->id}}">{{$unit->unit}}</option>
                    @endforeach
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">HSN code</label>
                <input type="text" class="form-control" name="hsn_code"  placeholder="" >
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Tax</label>
                <input type="number" step="any" class="form-control" name="tax"  placeholder="" >
              </div> 
          </div> 
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>
</div>
@endsection
