
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Edit Kitchen Item Purchases</h3>
      </div>
      
        
        <div class="card-body">
            <form action="{{route('kitchen_purchases.update',$purchase->kp_id)}}" method="post" >
        @csrf
        @method("PATCH")
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Purchase Date</label>
                <input type="date" class="form-control" name="purchase_date"  value="{{$purchase->purchase_date}}" placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no" value="{{$purchase->invoice_no}}"  placeholder="" required>
              </div> 
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Select Vendor</label>
                 <select class="form-control select2" name="vendor_id" required>
                     <option value="{{$purchase->v_id}}" hidden>{{$purchase->name}}</option>
                   @if(count($vendors) > 0 )
                    @foreach($vendors as $vendor)
                        <option value="{{$vendor->v_id}}">{{$vendor->name}}</option>
                    @endforeach
                   @endif
                </select>
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Payment Type</label>
                <select class="form-control" name="payment_type_id" required>
                    @if($purchase->transaction_type == 1)
                    <option value="1" hidden>Credit</option>
                    @else
                    <option value="2" hidden>Cash</option>
                    @endif
                    <option value="1">Credit</option>
                    <option value="2">Cash</option>
                </select>
              </div> 
              
              
               <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                      <th class="col-2">Item</th>
                     <th class="col-2">Unit</th>
                      <th>Rate</th>
                      <th>Qty</th>
                      <th>Gross</th>
                       <th>Disc</th>
                       <th>Tax</th>
                       <th>Amount</th>
                    
                      
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                        @if(count($purchase_items) > 0 )
                        @php($i=0)
                         @foreach($purchase_items as $p_item)
                            @php($i++)
                            <tr>
                                <td class="row-index text-center">
                                    <select class="form-control" name="items[]" id="item{{$i}}" onchange="funUnit(this.value,{{$i}})" required>
                                        @if(count($items)>0)
                                        <option value="{{$p_item->item_id}}">{{$p_item->item_name}}</option>
                                            @foreach($items as $item)
                                                    <option value="{{$item->ki_id}}">{{$item->item_name}}</option>
                                          @endforeach
                                        @endif
                                    </select>
                                  </td>
                                  <td class="row-index text-center">
                                     <select class="form-control" name="units[]" required>
                                         <option value="{{$p_item->unit_id}}">{{$p_item->unit}}</option>
                                        @if(count($items)>0)
                                            @foreach($units as $unit)
                                                    <option value="{{$unit->id}}">{{$unit->unit}}</option>
                                          @endforeach
                                        @endif
                                    </select>
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="rate[]" id="rate{{$i}}" value="{{$p_item->rate}}" onchange="funCalc({{$i}})" placeholder="" required>
                                  </td>
                                   <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="qty[]" id="qty{{$i}}" value="{{$p_item->qty}}" onchange="funCalc({{$i}})" placeholder="" required>
                                  </td>
                                  
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="gross[]" id="gross{{$i}}" value="{{$p_item->gross}}" onchange="funTotal()" placeholder="">
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" name="disc[]" id="disc{{$i}}" value="{{$p_item->disc}}" onchange="funCalc({{$i}})" placeholder="">
                                  </td>
                                  <td class="row-index text-center">
                                      <input type="hidden" id="tax_per{{$i}}">
                                     <input type="number" step="any" class="form-control" name="tax[]" id="tax{{$i}}" value="{{$p_item->tax}}" onchange="funTotal(); funCalc({{$i}}) " placeholder="">
                                  </td>
                                  <td class="row-index text-center">
                                     <input type="number" step="any" class="form-control" value="{{$p_item->amount}}" id="amount{{$i}}" name="amount[]"  onchange="funTotal()" placeholder="" required>
                                  </td>
     
                                
                                
                                
                            
                            </tr>
                         @endforeach
                        @endif
                    </tbody>
                  </table>
                  </div>
                  
                  
                  <br>
                  
                </div>
              
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Gross Amount</label>
                <input type="number" step="any" class="form-control" name="gross_amount" id="totalGross"  value="{{$purchase->gross_amount}}"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Tax Amount</label>
                <input type="number" step="any" class="form-control" name="tax_amount" id="totalTax"   value="{{$purchase->tax_amount}}"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Freight</label>
                <input type="text" class="form-control" name="freight"   value="{{$purchase->freight}}"  id="freight" onchange="funTotal()" placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="number" step="any" class="form-control" name="round_off"  id="roundoff" onchange="funTotal()" value="{{$purchase->round_off}}"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Net Amount</label>
                <input type="number" step="any" class="form-control" name="net_amount" id="totalNet"  value="{{$purchase->net_amount}}" placeholder="" required>
              </div>
               </div> 
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
              
              
              
              
             </form>
              
          </div> 
        <!-- /.card-body -->

       
    </div>
</div>

<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>

<script>

    $(document).ready(function(){
        var rowCount = $("#tbody tr").length;
        var purchase_items = <?php echo $purchase_items; ?>;
        console.log(purchase_items);
        for(var i=1;i<=rowCount;i++)
        {
            var k = i -1;
            var id = purchase_items[k].item_id;
            $.ajax({
                type : 'POST',
                data: {'id' : id,'_token':'{{csrf_token()}}'},
                url : "{{url('/kitchen_purchases/unitDetails')}}",
                success:function(data){
                    $("#tax_per"+i).val(data[0]["tax"]);
                },
                async: false
            });
        }
    });
    function funUnit(id,row){
      $.ajax({
            type : 'POST',
            data: {'id' : id,'_token':'{{csrf_token()}}'},
            url : "{{url('/kitchen_purchases/unitDetails')}}",
            success:function(data){
                
                //console.log(data);
                $("#unit"+row).empty();
                $("#unit"+row).append($("<option></option>").attr("value", data[0]["unit_id"]).text(data[0]["unit"])); 
                if(data[1]["rate"]){
                    $("#rate"+row).val(data[1]["rate"]);
                }else{
                    $("#rate"+row).val(0);
                }
                $("#tax_per"+row).val(data[0]["tax"]);
            },
            async: false
        });
        
        funCalc(row);
    }
    
    function funCalc(row){
      var qty = parseFloat($("#qty"+row).val());
      var rate = parseFloat($("#rate"+row).val());
      var disc = parseFloat($("#disc"+row).val());
      var tax_per = parseFloat($("#tax_per"+row).val())||0;
      if(rate && qty)
      {
          var gross = rate * qty;
          gross = gross.toFixed(2); 
          $("#gross"+row).val(gross);
          $("#amount"+row).val(gross);
          
          var tax = parseFloat((gross*tax_per)/100);
          tax = tax.toFixed(2); 
          $("#tax"+row).val(tax);
      }
      if(disc){
          var amount = parseFloat($("#amount"+row).val()) - disc ;
            amount = amount.toFixed(2); 
          $("#amount"+row).val(amount);
      }
      if(tax){
          var amount = parseFloat($("#amount"+row).val()) + parseFloat(tax) ;
            amount = amount.toFixed(2); 
          $("#amount"+row).val(amount);
      }
       
      
      funTotal();
      
    }
    
    function funTotal()
    {
        var rowCount = $('#tbody tr').length;
        var totGross = parseFloat(0);
        var totTax = parseFloat(0);
        var totNet = parseFloat(0);
            for (var i = 1; i <= rowCount; i++) {
                // console.log(i);
               
                var gross = parseFloat($("#gross"+i).val());
                var tax = parseFloat($("#tax"+i).val());
                 var amount = parseFloat($("#amount"+i).val());
                 var frei = parseFloat($("#freight").val());
                 var round = parseFloat($("#roundoff").val());
                if(isNaN(gross)  ){
                    
                }else{
                    totGross = totGross + gross;
                     
                }
                if(isNaN(tax)  ){
                    
                }else{
                    totTax = totTax + tax;
                     
                }
                if(isNaN(amount)){
                    
                }else{
                   totNet = totNet + amount; 
                }
            } 
            var totalNet = totNet + frei;
            if(round)
            {
               totalNet = parseFloat(totalNet) + parseFloat(round);
            }
            // console.log(Math.ceil(totalNet));
             $("#totalGross").val(totGross);
             $("#totalTax").val(totTax); 
             $("#totalNet").val(totNet);
             $("#totalNet").val(totalNet);
        
    }
</script>

@endsection
