@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Store Items Purchases</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <!-- /.card-header -->
            <div class="card-body">
            <form>
                 @csrf
                <div class="row">
                          <div class="form-group col-md-3">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from"  placeholder="" required>
                          </div> 
                          <div class="form-group col-md-3">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to"  placeholder="" required>
                          </div> 
                          <div class="form-group col-md-3">
                            <label for="exampleInputEmail1">Vendors</label>
                            <select class="form-control" name="vendor_id" >
                                <option value="" hidden></option>
                                @foreach($vendors as $vendor)
                                <option value="{{$vendor->v_id}}" >{{$vendor->name}}</option>
                                @endforeach
                            </select>
                          </div>
                          <div class="form-group col-md-3 py-2">
                              <br>
                      <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                    </div>
                </div>
            </form>    
            <table id="example1" class="table table-bordered table-striped">
                <thead>
                  <tr>
                      <th>Sl No</th>
                    <th scope="col">Purchase Date</th>
                    <th scope="col">Invoice No</th>
                    <th scope="col">Vendor</th>
                    <th scope="col">Payment Type</th>
                    <th scope="col">Gross Amount</th>
                    <th scope="col">Tax Amount</th>
                    <th scope="col">Freight</th>
                    <th scope="col">Round Off</th>
                    <th scope="col">Net Amount</th>
                    <th>#</th>
                    <th>#</th>
                    
                  </tr>
                </thead>
                <tbody>
                  @php($i=1)
                  @foreach($purchases as $purchase)
                  
                  <tr class="odd">
                  <th scope="row">{{$i++}}</th>
                     <td>{{$purchase->purchase_date}}</td>
                     <td>{{$purchase->invoice_no}}</td>
                     <td>{{$purchase->name}}</td>
                    <td>@if($purchase->transaction_type == 1)
                        Credit
                        @else
                        Cash
                        @endif
                    </td>
                    <td>{{$purchase->gross_amount}}</td>
                    <td>{{$purchase->tax_amount}}</td>
                    <td>{{$purchase->freight}}</td>
                    <td>{{$purchase->round_off}}</td>
                    <td>{{$purchase->net_amount}}</td>
                    <td><a href="{{route('kitchen_purchases.show',$purchase->kp_id)}}"><i class="fa fa-eye" aria-hidden="true"></i></a></td>
                    <td> <a href="{{route('kitchen_purchases.edit',$purchase->kp_id)}}"><i class="fa fa-edit" aria-hidden="true"></i></a>
                    </td>
                   
                  </tr>
                  
                  @endforeach
                  
                </tfoot>
            </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection