
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Store Item Purchases</h3>
      </div>
      
        
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Purchase Date</label>
                <input type="date" class="form-control" name="purchase_date"  value="{{$purchase->purchase_date}}" placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no" value="{{$purchase->invoice_no}}"  placeholder="" required>
              </div> 
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1"> Vendor</label>
                <input type="text" class="form-control" value="{{$purchase->name}}"   required>
                
              </div> 
               <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Payment Type</label>
               <input type="text" class="form-control"   value="@if($purchase->transaction_type == 1) Credit @else Cash @endif"  required>
              </div> 
              
              
               <div class="container col-md-12">
                  <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                    <tr>
                      <th >Item</th>
                     <th>Unit</th>
                      <th>Rate</th>
                      <th>Qty</th>
                      <th>Gross</th>
                       <th>Disc</th>
                       <th>Tax</th>
                       <th>Amount</th>
                    
                      
                    </tr>
                    </thead>
                    <tbody id="tbody">
                
                        @if(count($items) > 0 )
                         @foreach($items as $item)
                            <tr>
                                <td>{{$item->item_name}}</td>
                                <td>{{$item->unit}}</td>
                                <td>{{$item->rate}}</td>
                                <td>{{$item->qty}}</td>
                                <td>{{$item->gross}}</td>
                                <td>{{$item->disc}}</td>
                                <td>{{$item->tax}}</td>
                                <td>{{$item->amount}}</td>
                            </tr>
                         @endforeach
                        @endif
                    </tbody>
                  </table>
                  </div>
                  
                  
                  <br>
                  
                </div>
              
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Gross Amount</label>
                <input type="text" class="form-control" name="gross_amount"  value="{{$purchase->gross_amount}}"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Tax Amount</label>
                <input type="text" class="form-control" name="tax_amount"   value="{{$purchase->tax_amount}}"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Freight</label>
                <input type="text" class="form-control" name="freight"   value="{{$purchase->freight}}" placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="text" class="form-control" name="round_off"  value="{{$purchase->round_off}}"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Net Amount</label>
                <input type="text" class="form-control" name="net_amount"   value="{{$purchase->net_amount}}" placeholder="" required>
              </div>
              
          </div> 
        <!-- /.card-body -->

       
    </div>
</div>



@endsection
