
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Purchase</h3>
      </div>
      
        <form action="{{route('purchases.store')}}" method="post" >
        @csrf
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Purchase No</label>
                <input type="text" class="form-control" name="purchase_no"  value="{{$purchase_no->number}}" readonly required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date"  placeholder="" required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Payment Method</label>
                <select class="form-control" name="payment_method_id" required>
                    <option value="" hidden></option>
                    @foreach($methods as $method)
                    <option value="{{$method->pm_id}}">{{$method->method}}</option>
                    @endforeach
                    
                </select>
              </div>
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Vendor<button type="button" class="btn btn-outline-danger btn-xs" data-toggle="modal" data-target="#modal-vendor">
                                Add
                            </button></label>
                <select  class="form-control " name="vendor_id" required>
                    <option value="" hidden></option>
                    @foreach($vendors as $vendor)
                    <option value="{{$vendor->v_id}}">{{$vendor->name}}</option>
                    @endforeach
                </select>
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no"  placeholder="" required>
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Invoice Date</label>
                <input type="date" class="form-control" name="invoice_date"  placeholder="" required>
              </div> 
              
                <div class="container col-md-12">
                  <div class="table-responsive">
                      <table class="table table-bordered" id="purchaseTable">
                        <thead>
                            <br>
                        <tr>
                          <!--<th >Sl No</th>-->
                          <th class="col-3">Item Name</th>
                          <th class="col-1">Unit</th>
                          <th class="col-1">M</th>
                          <th >Quantity </th>
                          <th >Rate</th>
                          <th >Amount</th>
                          <th >Tax</th>
                          <th >Net Amount</th>
                          <th >#</th>
                        </tr>
                        </thead>
                        <tbody id="tbody">
                    
                        </tbody>
                      </table>
                  </div>
                  <button class="btn btn-md btn-success" id="addBtn" type="button">
                    +
                  </button>
                  <br>
                  
                </div>
            
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Total</label>
                <input type="number" step="any" class="form-control" name="total" id="total"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">TCS</label>
                <input type="text" class="form-control" name="tcs"  id="tcs" placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="number" step="any" class="form-control" name="round_off" id="round_off" onchange="funTotal(1)"  placeholder="" >
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Discount</label>
                <input type="number" step="any" class="form-control" name="discount"  id="discount" onchange="funTotal(1)" placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Extra</label>
                <input type="number" step="any" class="form-control" name="extra" id="extra" onchange="funTotal(1)"  placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Grand Total</label>
                <input type="number" step="any" class="form-control" name="grand_total" id="grandTotal"  placeholder="" required>
              </div> 
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>
 <!-- model Vendor -->
         <div class="modal fade" id="modal-vendor">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header bg-danger">
                  <h4 class="modal-title">Add Supplier</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
                </div>
                <div class="modal-body">
                 <form action="{{route('vendors.store')}}" method="post" enctype="multipart/form-data">
                    @csrf
                    <div class="card-body">
                      <div class="row">
                         <div class="form-group col-md-6">
                        <label for="exampleInputEmail1">Name</label>
                        <input type="text" class="form-control" name="name" id="exampleInputEmail1" placeholder="Enter Name" required>
                      </div>
            
                      <div class="form-group col-md-6">
                        <label for="exampleInputEmail1">Address</label>
                        <input type="text" class="form-control" name="address" id="exampleInputEmail1" placeholder="Enter Address" required>
                      </div>
            
                      <div class="form-group col-md-6">
                        <label for="exampleInputEmail1">Contact Number</label>
                        <input type="number" class="form-control" name="contact_number" id="exampleInputEmail1" placeholder="Enter Contact Number" required>
                      </div>
            
                      <div class="form-group col-md-6">
                        <label for="exampleInputEmail1">GSTIN</label>
                        <input type="text" class="form-control" name="gst" id="exampleInputEmail1" placeholder="" >
                      </div>
                      </div>
                    <div class="modal-footer justify-content-between">
                      <button type="button" class="btn btn-outline-danger" data-dismiss="modal">Close</button>
                      <button type="submit" class="btn btn-danger">Submit</button>
                    </div>
                    </div>
                  </form>
                </div>
              </div>
              <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
          </div>
          <!-- /.modal Vendor -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 0;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {
   
    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <select  class="form-control select2" name="item_id[]" id="item`+rowIdx+`" onchange="funTax(this.value,`+rowIdx+`);" required>
            <option value="" hidden></option>
            @foreach($items as $item)
            <option value="{{$item->item_id}}">{{$item->name}} - {{$item->code}}</option>
            @endforeach
        </select>
      </td>
     <td class="row-index text-center">
        <select class="form-control" name="unit_id[]" id="unit`+rowIdx+`" required onchange="funMeasurement(`+rowIdx+`)">
            <option value="" hidden></option>
            @foreach($units as $unit)
            <option value="{{$unit->u_id}}">{{$unit->u_name}}</option>
            @endforeach
        </select>
      </td>
      <td class="row-index text-center">
        <select class="form-control" name="measurement[]" required id="measurement`+rowIdx+`" onchange="funMeasurement(`+rowIdx+`)">
            <option value="" hidden></option>
            <option value="0" >Case</option>
            <option value="1" >Nos</option>
        </select>
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="quantity[]" id="quantity`+rowIdx+`"  onchange="funQty(`+rowIdx+`)" placeholder="" required>
        <input type="hidden" id="case`+rowIdx+`">
        <input type="hidden" id="caseAmount`+rowIdx+`">
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="rate[]" id="rate`+rowIdx+`" onchange="funQty(`+rowIdx+`)"   placeholder="" required>
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="amount[]" id="amount`+rowIdx+`" onchange="funTotal(${rowIdx}); funCal(`+rowIdx+`)" placeholder="" >
      </td>
      
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="tax[]" id="tax`+rowIdx+`" onchange="funTotal(${rowIdx})"  placeholder="" ><input type="hidden" id="tax_per`+rowIdx+`"><input type="hidden" id="tax_per`+rowIdx+`">
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="net_amount[]" id="test`+rowIdx+`" onchange="funTotal(${rowIdx})"  required>
      </td>
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`
    
      );
       $('.select2').select2();
    //   updateDropdowns(rowIdx);
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
        var child = $(this).closest('tr').nextAll();
      
        child.each(function () {
        var id = $(this).attr('id');
        var idx = $(this).children('p');
        var dig = parseInt(id.substring(1));
        idx.html(`Row ${dig - 1}`);
        $(this).attr('id', `R${dig - 1}`);
        });
    
        $(this).closest('tr').remove();
    funCal(rowIdx);
        rowIdx--;
        
      });
  });
  
  
  // filter selected items in select box
    // function updateDropdowns(rowIdx) {
    //   for (let i = 1; i < rowIdx; i++) {
    //     let currentItem = document.getElementById('item' + i);
    //     if (currentItem) {
    //       let selectedValue = $('#item' + i).val();
    //       $('#item' + rowIdx + ' option[value="' + selectedValue + '"]').remove();
    //     }
    //   }
    // }
  
  function funQty(row){
      var  qty  =  $("#quantity"+row.toString()).val();
      var  case_count  =  $("#case"+row.toString()).val();
      var  rate  =  $("#rate"+row.toString()).val();
      
      var msr =$("#measurement"+row).val();
      var amount = parseFloat($("#rate"+row).val());
      
      if(qty){
            var gross_amount =  parseFloat(qty) * amount ; 
            $("#amount"+row).val(gross_amount);
            var tax  = $("#tax_per"+row.toString()).val();
            var taxValue  =  parseInt(tax) * gross_amount / 100 ; 
            $("#tax"+row.toString()).val((Math.round(taxValue * 100) / 100).toFixed(2));
            var grand_amount  = gross_amount + taxValue;
             $("#test"+row.toString()).val((Math.round(grand_amount * 100) / 100).toFixed(2));
               
               funTotal(1);
      }
          
      
  }
  
  function funMeasurement(row){
     var  unit  =  $("#unit"+row.toString()).val();
      var  item  =  $("#item"+row.toString()).val();
      var msr  = $("#measurement"+row.toString()).val(); 
     $.ajax({
                type : 'POST',
                data: {'id' : msr,'unit':unit,'item':item,'_token':'{{csrf_token()}}'},
                url : "{{url('/purchase/caseCountFetch')}}",
                success:function(data){
                      console.log("here"+data);
                    if(data != 0){
                       
                       if(msr == 1){
                           $('#rate'+row.toString()).val(data["item_amount"]);
                       }else{
                           $('#rate'+row.toString()).val(data["case_amount"]);
                       }
                       
                         $("#case"+row.toString()).val(data["case_count"]);
                        $("#caseAmount"+row.toString()).val(data["case_amount"]);
                    }else{
                        
                         $("#case"+row.toString()).val(0);
                        $('#rate'+row.toString()).val(0);
                        $("#caseAmount"+row.toString()).val(0);
                    }
           
                },
                async: false
            });
            
            funQty(row);
  }
  
  
  
  
  function funTax(id,row){
          $.ajax({
                type : 'POST',
                data: {'id' : id,'_token':'{{csrf_token()}}'},
                url : "{{url('/purchases/taxDetails')}}",
                success:function(data){
                    $("#tax_per"+row).val(data["tax"]);
                     //$("#rate"+row).val(data["amount"]);
                    
                },
                async: false
            });
        
  }
  function funCal(row){
      var qty = parseFloat($("#quantity"+row).val());
      
      var msr =$("#measurement"+row).val();
      var amount = 0 ;
      if( msr === "1"){
           amount = parseFloat($("#amount"+row).val());
      }else{
           amount = parseFloat($("#caseAmount"+row).val());
      }
    
      var tax = parseFloat($("#tax_per"+row).val());
      var netamount = (qty * amount) +  ((qty * amount) * tax /100);
      $("#test"+row).val(netamount);
      
     
  }
  
  
  
  
  
    function funTotal(row){
        var rowCount = $('#purchaseTable tr').length;
        

        var total = parseFloat(0);
        var totTax = parseFloat(0);
        var totNet = parseFloat(0);
            for (var i = 1; i < rowCount; i++) {
            
               
                var amount = parseFloat($("#amount"+i).val());
                var tax = parseFloat($("#tax"+i).val());
                 var net = $("#test"+i).val();
                if(isNaN(amount)  ){
                }else{
                    total = total + amount;
                }
                if(isNaN(net)){
                    
                }else{
                   totNet = totNet + parseFloat(net); 
                }
            } 
            
            totTax = totNet *  0/100;
              $("#total").val(totNet);
            totNet =  totNet + totTax ;
            
            
           
             var tcs  =   (Math.round(totNet * 100) / 100).toFixed(2);
             $("#tcs").val(0); 
             
             
              var extra = $("#extra").val();
              
        var round_off = $("#round_off").val();
        var discount = $("#discount").val();
        var grand_total = totNet;
        if(extra){
            grand_total =  parseFloat(grand_total) + parseFloat(extra);
        }
        if(discount){
            
             grand_total =  parseFloat(grand_total) -  parseFloat(discount);
        }
        if(round_off){
            
            grand_total =  Math.ceil(grand_total);
        }
        
        
        $("#grandTotal").val((Math.round(grand_total * 100) / 100).toFixed(2));
             
        
    }
    
  </script>

  <script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })

  })
 
</script>
@endsection
