
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Sales</h3>
      </div>
      
        <form action="{{route('sales.update',$sales->sale_id)}}" method="post"  >
        @csrf
        @method("PATCH")
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Supplier</label>
                <select class="form-control" name="supplier_id" required>
                    <option value="{{$sales->supplier_id}}" hidden>{{$sales->supplier_name}}</option>
                    @foreach($suppliers as $supplier)
                    <option value="{{$supplier->s_id}}">{{$supplier->supplier_name}}</option>
                    @endforeach
                </select>
              </div> 
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Table</label>
                <select class="form-control" name="table_id" required>
                    <option value="{{$sales->table_id}}" hidden>{{$sales->table_no}}</option>
                    @foreach($tables as $table)
                    <option value="{{$table->t_id}}">{{$table->table_no}}</option>
                    @endforeach
                </select>
              </div> 
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Order No</label>
                <select class="form-control" name="order_no" required>
                    <option  hidden>{{$sales->order_no}}</option>
                    <option>A</option>
                    <option>B</option>
                    <option>C</option>
                    <option>D</option>
                </select>
              </div> 
              <input type="text" class="form-control" value="{{$sales->counter_id}}" name="counter_id" hidden>
              
              <div class="container col-md-12">
                  <div class="table-responsive">
                      <table class="table table-bordered" id="purchaseTable">
                        <thead>
                            <br>
                        <tr>
                          <th col="2">Item Name</th>
                          <th >Quantity </th>
                          <th >Unit</th>
                          <!--<th >#</th>-->
                        </tr>
                        </thead>
                        <tbody id="tbody">
                            
                        @php($i = 1)
                        @foreach($sale_items as $sale)
                            <tr id="R${++rowIdx}">
                              <td class="row-index text-center">
                               <select class="form-control select2bs4"   name="item_id[]" onchange="funHead(this.value,{{Auth::user()->counter_id}});" required>
                                    <option value="{{$sale->item_id}}" hidden>{{$sale->name}}</option>
                                    @foreach($items as $item)
                                    <option value="{{$item->item_id}}">{{$item->name}} - {{$item->code}}</option>
                                    @endforeach
                                </select>
                              </td>
                             
                              <td class="row-index text-center">
                                <input type="number" step="any" class="form-control" value="{{$sale->qty}}" name="qty[]" required>
                              </td>
                              
                              <td class="row-index text-center">
                                <select class="form-control" name="unit_id[]" id="unit" required>
                                    <option value="{{$sale->unit_id}}" hidden>{{$sale->u_name}}</option>
                                    @foreach($units as $unit)
                                    <option value="{{$unit->u_id}}" id="{{$unit->u_id}}">{{$unit->u_name}}</option>
                                    @endforeach
                                </select>
                              </td>
                              <!--<td class="text-center">-->
                              <!--  <button class="btn btn-danger remove"-->
                              <!--  type="button">-</button>-->
                              <!--</td>-->
                            </tr>
                        @php($i++)
                        @endforeach
                        </tbody>
                      </table>
                  </div>
                </div>
                
              <div class="form-group col-md-2 py-2">
                  <br>
                  <button type="submit" id='reload' class="btn btn-primary">Update</button>
              </div>
          </div>
        </div>  
        <!-- /.card-body -->
      </form>
</div>
<script>
     function funHead(id,counter){
          $.ajax({
                type : 'POST',
                data: {'id' : id,'counter' : counter,'_token':'{{csrf_token()}}'},
                url : "{{url('/sales/headDetails')}}",
                success:function(data){
                    // alert(data);
                    // console.log(data);
                    $("#unit").empty();
                    for (var i in data) {
                        $("#unit").append('<option value=' + data[i]['u_id'] + '>' + data[i]['u_name'] + '</option>');
                    }
                },
                async: false
            });
        
  }
</script>
@endsection

