@extends('layouts.side')

@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Sales</h1>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
    <div class="row">
        <div class="col-12">
        <div class="card">
            <div class="card-header">
            <h3 class="card-title">Sales</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                 <form>
                    @csrf
                      <div class="row">
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">From</label>
                            <input type="date" class="form-control" name="from" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">To</label>
                            <input type="date" class="form-control" name="to" >
                          </div> 
                          
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Supplier</label>
                            <select class="form-control" name="supplier_id" >
                                <option value="" hidden>-- select supplier --</option>
                                @foreach($suppliers as $supplier)
                                <option value="{{$supplier->s_id}}">{{$supplier->supplier_name}}</option>
                                @endforeach
                            </select>
                          </div> 
                          @if(Auth::user()->role == '1')
                          <div class="form-group col-md-2">
                            <label for="exampleInputEmail1">Counter</label>
                            <select class="form-control" name="counter_id" >
                                <option value="" hidden>-- select counter --</option>
                                @foreach($counters as $counter)
                                <option value="{{$counter->cntr_id}}">{{$counter->counter_name}}</option>
                                @endforeach
                            </select>
                          </div>
                          @endif
                          
                          <div class="form-group col-md-2 py-2">
                              <br>
                              <button type="submit" id='reload' class="btn btn-primary">Submit</button>
                          </div>
                      </div>
                  </form>
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                      <tr>
                        <th scope="col">Sl No</th>
                        <th scope="col">Bill No</th>
                        <th scope="col">Date</th>
                        <th scope="col">Table No</th>
                        <th scope="col">Supplier</th>
                        <th scope="col">Amount</th>
                        @if(Auth::user()->role == 1)
                        <th scope="col">Counter</th>
                        <th scope="col">#</th>
                        @endif
                      </tr>
                    </thead>
                    <tbody>
                      @php($i=1)
                      @foreach($bills as $bill)
                      <tr class="odd">
                        <th scope="row">{{$i++}}</th>
                        <td>
                           @if(Auth::User()->role !== '0' ) 
                                <a href="{{route('bills.print',$bill->sale_id)}}" target="_blank">{{$bill->sale_no}}</a>
                            @else
                                {{$bill->sale_no}}
                            @endif
                        </td>
                        <td>{{$bill->date}}</td>
                        <td>{{$bill->table_no}}</td>
                        <td>{{$bill->supplier_name}}</td>
                        <td>{{$bill->amount}}</td>
                        @if(Auth::user()->role == 1)
                        <td>{{$bill->counter_name}}</td>
                        <td>
                            <a href="{{route('sales.edit',$bill->sale_id)}}" class="btn" ><i class="fa fa-pencil" ></i></a>
                        </td>
                        @endif
                      </tr>
                      
                      @endforeach
                      
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
        </div>
        <!-- /.col -->
    </div>

@endsection