
@extends('layouts.side')

@section('content')

<div class="card card-primary">
    @if(session('success'))
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            {{ session('success') }}
            </div>
        </div>
    @endif
      <div class="card-header">
        <h3 class="card-title">Stock Balance</h3>
      </div>
      
        <form action="{{route('stock_balance.store')}}" method="post" >
        @csrf
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date"  required>
              </div>
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Counter</label>
                <select class="form-control" name="counter_id" required>
                    <option value="" hidden></option>
                    @foreach($counters as $counter)
                    <option value="{{$counter->cntr_id}}" >{{$counter->counter_name}}</option>
                    @endforeach
                </select>
              </div>
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Item</label>
                <select class="form-control select2"   name="item_id"  required>
                    <option value="" hidden></option>
                    @foreach($items as $item)
                    <option value="{{$item->item_id}}">{{$item->name}} - {{$item->code}}</option>
                    @endforeach
                </select>
              </div>
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Unit</label>
                <select class="form-control" name="unit_id" id="unit" required>
                    <option value="" hidden></option>
                    @foreach($units as $unit)
                    <option value="{{$unit->u_id}}" >{{$unit->u_name}}</option>
                    @endforeach
                </select>
              </div>
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Bottle</label>
                <input type="number" step="any" class="form-control" name="bottles" >
              </div>
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Peg</label>
                <input type="number" step="any" class="form-control" name="pegs"  required>
              </div>
              
              <div class="form-group col-md-3">
                <label for="exampleInputEmail1">Remarks</label>
                <input type="text" class="form-control" name="remarks"  >
              </div>
          </div>
          
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

  
@endsection
