<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
});

Auth::routes([
    'register' => false, // Registration Routes...
]);

Route::get('/home', 'HomeController@index')->name('home');

Route::resource('/vendors', 'VendorController');

Route::resource('/logins', 'LoginController');
Route::get('/logins/reset/password/{id}', 'LoginController@ResetPassword');
Route::post('/logins/update/password/{id}', 'LoginController@UpdatePassword');

Route::resource('/units', 'UnitController');

Route::resource('/item-heads', 'ItemHeadController');

Route::resource('/counters', 'CounterController');

Route::resource('/suppliers', 'SupplierController');

Route::resource('/items', 'ItemController');


Route::resource('/tables', 'TableController');


Route::resource('/item_cases', 'ItemCaseController');

Route::resource('/item_prices', 'ItemPriceController');

Route::resource('/item_category', 'ItemCategoryController');

Route::post('/purchase/caseCountFetch', 'PurchaseController@caseCountFetch');
Route::post('/purchases/taxDetails', 'PurchaseController@taxDetails');//ajax
Route::resource('/purchases', 'PurchaseController');


Route::resource('/issue', 'IssueController');
Route::post('/issue/unitDetails', 'IssueController@unitDetails');//ajax
Route::get('/issue/transfer/report', 'IssueController@TransferReport')->name('transfer.report');



Route::get('/sales/view', 'SaleController@ViewSales')->name('sales.view');
Route::resource('/sales', 'SaleController');
Route::get('/sales/delete/{id}', 'SaleController@delete');
Route::post('/sales/headDetails', 'SaleController@headDetails');//ajax


Route::get('/bills/cancel/kot/view', 'BillController@ViewCanceledKot')->name('view.canceled.kot');
Route::resource('/bills', 'BillController');
Route::post('/bills/kot', 'BillController@Kot')->name('bills.kot');
Route::post('/bills/add', 'BillController@AddBills')->name('bills.add');
Route::get('/bills/print/{id}', 'BillController@PrintBills')->name('bills.print');
Route::get('/bills/cancel/kot/{id}', 'BillController@CancelKot')->name('cancel.kot');
Route::post('/bills/kot/details', 'BillController@KotDetails')->name('kot.details');


Route::get('/reports/stock', 'ReportController@StockReport')->name('stock.report');
Route::resource('/reports', 'ReportController');

Route::resource('/kitchen', 'KitchenController');

Route::get('/banks/report', 'BankController@BankReport')->name('banks.report');
Route::resource('/banks', 'BankController');

Route::resource('/account_heads', 'AccountHeadController');

Route::get('/account_transactions/report', 'AccountTransactionController@TransactionReport')->name('transaction.report');
Route::resource('/account_transactions', 'AccountTransactionController');
Route::post('/account_transactions/headDetails', 'AccountTransactionController@headDetails');//ajax

Route::resource('/account_categories', 'AccountCategoryController');

Route::resource('/kitchen_items', 'KitchenItemController');

Route::resource('/kitchen_purchases', 'KitchenPurchaseController');
Route::get('/kitchen_purchases/stock/report', 'KitchenPurchaseController@StockReport')->name('kitchen.stock.report');
Route::post('/kitchen_purchases/unitDetails', 'KitchenPurchaseController@unitDetails');

Route::resource('/kitchen_issues', 'KitchenIssueController');
Route::get('/kitchen_issues/item/wise/report', 'KitchenIssueController@ItemWiseReport')->name('item.wise.report');


Route::resource('/counter_stock_report', 'CounterStockReport');

Route::resource('/sale_summary', 'SaleSummaryController');

Route::resource('/supplier_wise_sale_report', 'SupplierWiseSaleReportController');

Route::resource('/manual_stock_form', 'ManualStockFormController');

Route::resource('/item_wise_purchase_register', 'ItemWisePurchaseRegisterController');

Route::resource('/item_wise_sale_register', 'ItemWiseSaleRegisterController');

Route::resource('/purchase_report', 'PurchaseReportController');

Route::resource('/sale_purchase_report', 'SalePurchaseReportController');

Route::resource('/counter_wise_sale_report', 'CounterWiseSaleReportController');

Route::get('/exercise_report/exercise_report_in_mls', 'ExerciseReportController@exercise_report_in_mls');
Route::resource('/exercise_report', 'ExerciseReportController');



Route::resource('/verify_stock', 'VerifyStockController');

Route::resource('/stock_balance', 'StockBalanceController');

Route::resource('/item_wise_issue', 'ItemWiseIssueController');


Route::resource('/detailed_transactions', 'DetailedTransactionsController');
