<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Sales</h3>
      </div>
      
        <form action="<?php echo e(route('sales.store')); ?>" method="post"  >
        <?php echo csrf_field(); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Supplier</label>
                <select class="form-control" name="supplier_id" required>
                    <?php if($last): ?>
                    <option value="<?php echo e($last->s_id); ?>" hidden><?php echo e($last->supplier_name); ?></option>
                    <?php else: ?>
                    <option value="" hidden>-- select supplier --</option>
                    <?php endif; ?>
                    <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($supplier->s_id); ?>"><?php echo e($supplier->supplier_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Table</label>
                <select class="form-control" name="table_id" required>
                    <?php if($last): ?>
                    <option value="<?php echo e($last->t_id); ?>" hidden><?php echo e($last->table_no); ?></option>
                    <?php else: ?>
                    <option value="" hidden></option>
                    <?php endif; ?>
                    <?php $__currentLoopData = $tables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $table): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($table->t_id); ?>"><?php echo e($table->table_no); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Order No</label>
                <select class="form-control" name="order_no" required>
                    <?php if($last): ?>
                    <option  hidden><?php echo e($last->order_no); ?></option>
                    <?php else: ?>
                    <option value="" hidden></option>
                    <?php endif; ?>
                    <option>A</option>
                    <option>B</option>
                    <option>C</option>
                    <option>D</option>
                </select>
              </div> 
              <div class="form-group col-md-3">
                <label >Item</label>
                <select class="form-control select2bs4"   name="item_id" onchange="funHead(this.value,<?php echo e(Auth::user()->counter_id); ?>);" required>
                    <option value="" hidden></option>
                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->u_name); ?> - <?php echo e($item->code); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <input name="actual_item" type="hidden" id="actual_item">
                <input name="item_unit_id" type="hidden" id="item_unit_id">
              </div> 
              
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Qty</label>
                <input type="text" class="form-control" name="qty" required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Unit</label>
                <select class="form-control" name="unit_id" id="unit" required>
                    <option value="" hidden>-- select unit --</option>
                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($unit->u_id); ?>" id="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              
              <input type="text" class="form-control" value="<?php echo e(Auth::user()->counter_id); ?>" name="counter_id" hidden>
              <div class="form-group col-md-2 py-2">
                  <br>
                  <button type="submit" id='reload' class="btn btn-primary">Add</button>
              </div>
          </div>
        </div>  
        <!-- /.card-body -->
      </form>
      
</div>

<?php if(count($orders) > 0): ?>
<div class="row">
<?php for($i=0 ; $i < count($orders) ; $i++): ?>
    <?php $total = 0; ?> 
    <div class="card col-4">
        <div class="card-header">
            <b>Table : <?php echo e($orders[$i][0]->table_no); ?></b>
            <p style="float:right">Order no : <b><?php echo e($orders[$i][0]->order_no); ?></b></p>
            <br>
            Supplier : <b><?php echo e($orders[$i][0]->supplier_name); ?></b>
        </div>
        <div class="card-body">
            <table class="table">
                <thead>
                  <tr>
                    <th scope="col">Item</th>
                    <th scope="col">Qty</th>
                    <th scope="col">Amount</th>
                    <th scope="col">#</th>
                  </tr>
                </thead>
                <tbody>
                  <?php for($j=0 ; $j < count($orders[$i]) ; $j++): ?>
                  <?php $total = $total + $orders[$i][$j]->amount ;  ?>
                  <tr >
                   
                    <td><?php echo e($orders[$i][$j]->name); ?></td>
                    <td><?php echo e($orders[$i][$j]->qty); ?></td>
                    <td><?php echo e($orders[$i][$j]->amount); ?></td>
                     <td>
                         <a href="<?php echo e(url('/sales/delete/'.$orders[$i][$j]->bi_id)); ?>" class="btn" onclick="return confirm('Do you want to remove this ?')"><i class="fa fa-trash"></i></a>
                     </td>
                  </tr>
                  <?php endfor; ?>
                  <tr>
                      <th scope="row" >Total</th>
                      <td><?php echo e($total); ?></td>
                      <td>
                          <form method="post" action="<?php echo e(route('bills.store')); ?>" onsubmit="javascript: setTimeout(function(){location.reload();}, 500);return true;" target="_blank">
                              <?php echo csrf_field(); ?>
                              <input type="number" value="<?php echo e(Auth::user()->counter_id); ?>" name="counter_id" hidden>
                              <input type="number" value="<?php echo e($orders[$i][0]->table_id); ?>" name="table_id" hidden>
                              <input type="text" value="<?php echo e($orders[$i][0]->order_no); ?>" name="order_no" hidden>
                              <input type="text" value="<?php echo e($orders[$i][0]->supplier_id); ?>" name="supplier_id" hidden>
                              <input type="number" value="<?php echo e($total); ?>" name="total" hidden>
                              <input type="number" value="1" name="ot" hidden>
                               <button type="submit" class="btn btn-danger">BOT</button> 
                           </form>
                        </td>
                        <td>
                           <form method="post" action="<?php echo e(route('bills.store')); ?>" onsubmit="javascript: setTimeout(function(){location.reload();}, 500);return true;" target="_blank">
                              <?php echo csrf_field(); ?>
                              <input type="number" value="<?php echo e(Auth::user()->counter_id); ?>" name="counter_id" hidden>
                              <input type="number" value="<?php echo e($orders[$i][0]->table_id); ?>" name="table_id" hidden>
                              <input type="text" value="<?php echo e($orders[$i][0]->order_no); ?>" name="order_no" hidden>
                              <input type="text" value="<?php echo e($orders[$i][0]->supplier_id); ?>" name="supplier_id" hidden>
                              <input type="number" value="<?php echo e($total); ?>" name="total" hidden>
                              <input type="number" value="2" name="ot" hidden>
                              <button type="submit" class="btn btn-info">KOT</button>
                           </form>
                      </td>
                  </tr>
                </tfoot>
            </table>
            
        </div>
        <!-- /.card-body -->
    </div>
    <!-- /.card -->
<?php endfor; ?>
</div>
<?php endif; ?>
<?php if(count($bills) > 0): ?>
<div class="row">
    <div class="card col-8">
        <div class="card-body">
            <table class="table">
                <thead>
                    <tr>
                        <th>Table No</th>
                        <th>Order No</th>
                        <th>Supplier</th>
                        <th>Bill</th>
                        <th>#</th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $bills; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bill): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($bill->table_no); ?></td>
                        <td><?php echo e($bill->order_no); ?></td>
                        <td><?php echo e($bill->supplier_name); ?><?php echo e($bill->amount); ?></td>
                        <td>
                            <form method="post" action="<?php echo e(route('bills.add')); ?>" onsubmit="javascript: setTimeout(function(){location.reload();}, 500);return true;" target="_blank">
                              <?php echo csrf_field(); ?>
                              <input type="number" value="<?php echo e(Auth::user()->counter_id); ?>" name="counter_id" hidden>
                              <input type="number" value="<?php echo e($bill->table_id); ?>" name="table_id" hidden>
                              <input type="text" value="<?php echo e($bill->order_no); ?>" name="order_no" hidden>
                                <button type="submit" class="btn btn-success">Bill</button>
                           </form>
                        </td>
                        <td>
                            <form method="post" action="<?php echo e(route('kot.details')); ?>" onsubmit="javascript: setTimeout(function(){location.reload();}, 500);return true;" target="_blank">
                              <?php echo csrf_field(); ?>
                              <input type="number" value="<?php echo e(Auth::user()->counter_id); ?>" name="counter_id" hidden>
                              <input type="number" value="<?php echo e($bill->table_id); ?>" name="table_id" hidden>
                              <input type="text" value="<?php echo e($bill->order_no); ?>" name="order_no" hidden>
                                <button type="submit" class="btn "><i class="fas fa-eye"></i></button>
                           </form>
                        </td>
                        
                    </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
                
            </table>
        </div>
    </div>
</div>
<?php endif; ?>

<script>
    function funHead(id,counter){
      // var obj = JSON.parse(id);
     
       $("#actual_item").val(id);
        //$("#item_unit_id").val(obj["u_id"]);
          $.ajax({
                type : 'POST',
                data: {'id' : id,'counter' : counter,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/sales/headDetails')); ?>",
                success:function(data){
                    // alert(data);
                    console.log(data);
                    // var num = $("#32").val();
                    // var peg = $("#26").val();
                    // if(data["item_head_id"] != 5){
                    //      $("#32").hide();
                    //     $("#unit").val(peg);
                    // }
                    // if(data["item_head_id"] == 5 || data["item_head_id"] == 2){
                    //     $("#26").hide();
                    //     $("#27").hide();
                    //     $("#28").hide();
                    //     $("#29").hide();
                    //     $("#30").hide();
                    //     $("#31").hide();
                    //     $("#unit").val(num);
                        
                    // }
                    
                    $("#unit").empty();
                    for (var i in data) {
                        $("#unit").append('<option value=' + data[i]['u_id'] + '>' + data[i]['u_name'] + '</option>').change;
                    }
                },
                async: false
            });
        
  }
</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thomsonscasa/public_html/Bar/resources/views/sales/create.blade.php ENDPATH**/ ?>