<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Sales</h3>
      </div>
      
        <form action="<?php echo e(route('sales.update',$sales->sale_id)); ?>" method="post"  >
        <?php echo csrf_field(); ?>
        <?php echo method_field("PATCH"); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Supplier</label>
                <select class="form-control" name="supplier_id" required>
                    <option value="<?php echo e($sales->supplier_id); ?>" hidden><?php echo e($sales->supplier_name); ?></option>
                    <?php $__currentLoopData = $suppliers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supplier): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($supplier->s_id); ?>"><?php echo e($supplier->supplier_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Table</label>
                <select class="form-control" name="table_id" required>
                    <option value="<?php echo e($sales->table_id); ?>" hidden><?php echo e($sales->table_no); ?></option>
                    <?php $__currentLoopData = $tables; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $table): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($table->t_id); ?>"><?php echo e($table->table_no); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              <div class="form-group col-md-1">
                <label for="exampleInputEmail1">Order No</label>
                <select class="form-control" name="order_no" required>
                    <option  hidden><?php echo e($sales->order_no); ?></option>
                    <option>A</option>
                    <option>B</option>
                    <option>C</option>
                    <option>D</option>
                </select>
              </div> 
              <input type="text" class="form-control" value="<?php echo e($sales->counter_id); ?>" name="counter_id" hidden>
              
              <div class="container col-md-12">
                  <div class="table-responsive">
                      <table class="table table-bordered" id="purchaseTable">
                        <thead>
                            <br>
                        <tr>
                          <th col="2">Item Name</th>
                          <th >Quantity </th>
                          <th >Unit</th>
                          <!--<th >#</th>-->
                        </tr>
                        </thead>
                        <tbody id="tbody">
                            
                        <?php ($i = 1); ?>
                        <?php $__currentLoopData = $sale_items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sale): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr id="R${++rowIdx}">
                              <td class="row-index text-center">
                               <select class="form-control select2bs4"   name="item_id[]" onchange="funHead(this.value,<?php echo e(Auth::user()->counter_id); ?>);" required>
                                    <option value="<?php echo e($sale->item_id); ?>" hidden><?php echo e($sale->name); ?></option>
                                    <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->code); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </td>
                             
                              <td class="row-index text-center">
                                <input type="text" class="form-control" value="<?php echo e($sale->qty); ?>" name="qty[]" required>
                              </td>
                              
                              <td class="row-index text-center">
                                <select class="form-control" name="unit_id[]" id="unit" required>
                                    <option value="<?php echo e($sale->unit_id); ?>" hidden><?php echo e($sale->u_name); ?></option>
                                    <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($unit->u_id); ?>" id="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                              </td>
                              <!--<td class="text-center">-->
                              <!--  <button class="btn btn-danger remove"-->
                              <!--  type="button">-</button>-->
                              <!--</td>-->
                            </tr>
                        <?php ($i++); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                      </table>
                  </div>
                </div>
                
              <div class="form-group col-md-2 py-2">
                  <br>
                  <button type="submit" id='reload' class="btn btn-primary">Update</button>
              </div>
          </div>
        </div>  
        <!-- /.card-body -->
      </form>
</div>
<script>
     function funHead(id,counter){
          $.ajax({
                type : 'POST',
                data: {'id' : id,'counter' : counter,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/sales/headDetails')); ?>",
                success:function(data){
                    // alert(data);
                    // console.log(data);
                    $("#unit").empty();
                    for (var i in data) {
                        $("#unit").append('<option value=' + data[i]['u_id'] + '>' + data[i]['u_name'] + '</option>');
                    }
                },
                async: false
            });
        
  }
</script>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/sales/edit_sales.blade.php ENDPATH**/ ?>