<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Add Store Issue</h3>
      </div>
      
        <form action="<?php echo e(route('kitchen_issues.store')); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Issue No</label>
                <input type="number" class="form-control" name="issue_no" value="<?php echo e($issue_no->number); ?>"   readonly required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date"  placeholder="" required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Counter</label>
                <select class="form-control" name="counter_id" required>
                    <option value="" hidden></option>
                    <?php $__currentLoopData = $counters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $counter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($counter->cntr_id); ?>" ><?php echo e($counter->counter_name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div>
               <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Remarks</label>
                <input type="text" class="form-control" name="remarks"  placeholder="" >
              </div> 
          </div>
          <div class="container col-md-12">
                <div class="table-responsive">
                  <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th >Item Name</th>
                            <th >Unit</th>
                            <th >Quantity</th>
                            <th >Rate</th>
                            <th >#</th>
                        </tr>
                    </thead>
                    <tbody id="tbody">
                
                    </tbody>
                  </table>
                 </div>
                  <button class="btn btn-md btn-success" id="addBtn" type="button">
                    +
                  </button>
                  <br>
            </div>
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

<script src=
"https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src=
"https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 0;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {

    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <select name="item_id[]" id="item`+rowIdx+`" class="form-control select2" onchange="funUnit(this.value,`+rowIdx+`)" required>
        <option hidden value=""> </option>
        <?php if(count($items) > 0): ?>
            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <option value="<?php echo e($item->ki_id); ?>"><?php echo e($item->item_name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         <?php endif; ?>
        </select>
      </td>
       <td class="row-index text-center">
        <select name="unit_id[]" required class="form-control" id="unit`+rowIdx+`" required>
        <option hidden value=""> --Select Unit--</option>
        <?php if(count($units) > 0): ?>
            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <option value="<?php echo e($unit->id); ?>"><?php echo e($unit->unit); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
         <?php endif; ?>
            
        </select>
      </td>
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="qty[]"  placeholder="" required>
      </td>
     
      <td class="row-index text-center">
        <input type="number" step="any" class="form-control" name="rate[]" id="rate`+rowIdx+`" placeholder="" readonly>
      </td>
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`);
       $('.select2').select2();
       updateDropdowns(rowIdx);
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
    var child = $(this).closest('tr').nextAll();
  
    child.each(function () {
    var id = $(this).attr('id');
    var idx = $(this).children('p');
    var dig = parseInt(id.substring(1));
    idx.html(`Row ${dig - 1}`);
    $(this).attr('id', `R${dig - 1}`);
    });

    $(this).closest('tr').remove();

    rowIdx--;
  });
  });
  
  // filter selected items in select box
    function updateDropdowns(rowIdx) {
      for (let i = 1; i < rowIdx; i++) {
        let currentItem = document.getElementById('item' + i);
        if (currentItem) {
          let selectedValue = $('#item' + i).val();
          $('#item' + rowIdx + ' option[value="' + selectedValue + '"]').remove();
        }
      }
    }

    function funUnit(id,row){
      $.ajax({
            type : 'POST',
            data: {'id' : id,'_token':'<?php echo e(csrf_token()); ?>'},
            url : "<?php echo e(url('/kitchen_purchases/unitDetails')); ?>",
            success:function(data){
                
                console.log(data);
                $("#unit"+row).empty();
                $("#unit"+row).append($("<option></option>").attr("value", data[0]["unit_id"]).text(data[0]["unit"])); 
                if(data[1]["rate"]){
                    $("#rate"+row).val(data[1]["rate"]);
                }else{
                    $("#rate"+row).val(0);
                }
            },
            async: false
        });
    
    }
  </script>

  
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/eseastore/public_html/resources/views/kitchen_issues/create.blade.php ENDPATH**/ ?>