<?php $__env->startSection('content'); ?>

<div class="card card-primary">
    <?php if(session('success')): ?>
        <div class="alert alert-success d-flex align-items-center" role="alert">
          <i class="fas fa-check-circle"></i>
            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:"><use xlink:href="#check-circle-fill"/></svg>
            <div>
            <?php echo e(session('success')); ?>

            </div>
        </div>
    <?php endif; ?>
      <div class="card-header">
        <h3 class="card-title">Purchase</h3>
      </div>
      
        <form action="<?php echo e(route('purchases.store')); ?>" method="post" >
        <?php echo csrf_field(); ?>
        <div class="card-body">
          <div class="row">
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Purchase No</label>
                <input type="text" class="form-control" name="purchase_no"  value="<?php echo e($purchase_no->number); ?>" readonly required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Date</label>
                <input type="date" class="form-control" name="date"  placeholder="" required>
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Payment Method</label>
                <select class="form-control" name="payment_method_id" required>
                    <option value="" hidden></option>
                    <?php $__currentLoopData = $methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $method): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($method->pm_id); ?>"><?php echo e($method->method); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    
                </select>
              </div>
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Vendor</label>
                <select  class="form-control " name="vendor_id" required>
                    <option value="" hidden></option>
                    <?php $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($vendor->v_id); ?>"><?php echo e($vendor->name); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Invoice No</label>
                <input type="text" class="form-control" name="invoice_no"  placeholder="" required>
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Invoice Date</label>
                <input type="date" class="form-control" name="invoice_date"  placeholder="" required>
              </div> 
              
                <div class="container col-md-12">
                  <div class="table-responsive">
                      <table class="table table-bordered" id="purchaseTable">
                        <thead>
                            <br>
                        <tr>
                          <!--<th >Sl No</th>-->
                          <th class="col-3">Item Name</th>
                          <th class="col-1">Unit</th>
                          <th class="col-1">M</th>
                          <th >Quantity </th>
                          <th >Rate</th>
                          <th >Amount</th>
                          <th >Tax</th>
                          <th >Net Amount</th>
                          <th >#</th>
                        </tr>
                        </thead>
                        <tbody id="tbody">
                    
                        </tbody>
                      </table>
                  </div>
                  <button class="btn btn-md btn-success" id="addBtn" type="button">
                    +
                  </button>
                  <br>
                  
                </div>
            
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Total</label>
                <input type="text" class="form-control" name="total" id="total"  placeholder="" required>
              </div>
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">TCS</label>
                <input type="text" class="form-control" name="tcs"  id="tcs" placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Round Off</label>
                <input type="text" class="form-control" name="round_off" id="round_off" onchange="funTotal(1)"  placeholder="" >
              </div> 
              
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Discount</label>
                <input type="text" class="form-control" name="discount"  id="discount" onchange="funTotal(1)" placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Extra</label>
                <input type="text" class="form-control" name="extra" id="extra" onchange="funTotal(1)"  placeholder="" >
              </div> 
              <div class="form-group col-md-2">
                <label for="exampleInputEmail1">Grand Total</label>
                <input type="text" class="form-control" name="grand_total" id="grandTotal"  placeholder="" required>
              </div> 
          </div>
          
                   
        <!-- /.card-body -->

        <div class="card-footer">
          <button type="submit" id='reload' class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>

</div>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js">
</script>


<script>
  $(document).ready(function () {

  // Denotes total number of rows
  var rowIdx = 0;

  // jQuery button click event to add a row
  $('#addBtn').on('click', function () {
   
    // Adding a row inside the tbody.
    $('#tbody').append(`<tr id="R${++rowIdx}">
      <td class="row-index text-center">
        <select  class="form-control select2" name="item_id[]" id="item`+rowIdx+`" onchange="funTax(this.value,`+rowIdx+`);" required>
            <option value="" hidden></option>
            <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($item->item_id); ?>"><?php echo e($item->name); ?> - <?php echo e($item->code); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
      </td>
     <td class="row-index text-center">
        <select class="form-control" name="unit_id[]" id="unit`+rowIdx+`" required onchange="funMeasurement(`+rowIdx+`)">
            <option value="" hidden></option>
            <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $unit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($unit->u_id); ?>"><?php echo e($unit->u_name); ?></option>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
      </td>
      <td class="row-index text-center">
        <select class="form-control" name="measurement[]" required id="measurement`+rowIdx+`" onchange="funMeasurement(`+rowIdx+`)">
            <option value="" hidden></option>
            <option value="0" >Case</option>
            <option value="1" >Nos</option>
        </select>
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="quantity[]" id="quantity`+rowIdx+`"  onchange="funQty(`+rowIdx+`)" placeholder="" required><input type="hidden" id="case`+rowIdx+`"><input type="hidden" id="caseAmount`+rowIdx+`">
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="rate[]" id="rate`+rowIdx+`"   placeholder="" required>
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="amount[]" id="amount`+rowIdx+`" onchange="funTotal(1); funCal(`+rowIdx+`)" placeholder="" >
      </td>
      
      <td class="row-index text-center">
        <input type="text" class="form-control" name="tax[]" id="tax`+rowIdx+`" onchange="funTotal(1)"  placeholder="" ><input type="hidden" id="tax_per`+rowIdx+`"><input type="hidden" id="tax_per`+rowIdx+`">
      </td>
      <td class="row-index text-center">
        <input type="text" class="form-control" name="net_amount[]" id="test`+rowIdx+`" onchange="funTotal(1)"  required>
      </td>
    
      <td class="text-center">
        <button class="btn btn-danger remove"
        type="button">-</button>
        </td>
      </tr>`
    
      );
       $('.select2').select2();
  });

  // jQuery button click event to remove a row.
  $('#tbody').on('click', '.remove', function () {
        var child = $(this).closest('tr').nextAll();
      
        child.each(function () {
        var id = $(this).attr('id');
        var idx = $(this).children('p');
        var dig = parseInt(id.substring(1));
        idx.html(`Row ${dig - 1}`);
        $(this).attr('id', `R${dig - 1}`);
        });
    
        $(this).closest('tr').remove();
    funCal(rowIdx);
        rowIdx--;
        
      });
  });
  
  function funQty(row){
      var  qty  =  $("#quantity"+row.toString()).val();
      var  case_count  =  $("#case"+row.toString()).val();
      var  rate  =  $("#rate"+row.toString()).val();
      
      var msr =$("#measurement"+row).val();
      var amount = parseFloat($("#rate"+row).val());
      
      if(qty){
            var gross_amount =  parseFloat(qty) * amount ; 
            $("#amount"+row).val(gross_amount);
            var tax  = $("#tax_per"+row.toString()).val();
            var taxValue  =  parseInt(tax) * gross_amount / 100 ; 
            $("#tax"+row.toString()).val((Math.round(taxValue * 100) / 100).toFixed(2));
            var grand_amount  = gross_amount + taxValue;
             $("#test"+row.toString()).val((Math.round(grand_amount * 100) / 100).toFixed(2));
               
               funTotal(1);
      }
          
      
  }
  
  function funMeasurement(row){
     var  unit  =  $("#unit"+row.toString()).val();
      var  item  =  $("#item"+row.toString()).val();
      var msr  = $("#measurement"+row.toString()).val(); 
     $.ajax({
                type : 'POST',
                data: {'id' : msr,'unit':unit,'item':item,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/purchase/caseCountFetch')); ?>",
                success:function(data){
                      console.log("here"+data);
                    if(data != 0){
                       
                       if(msr == 1){
                           $('#rate'+row.toString()).val(data["item_amount"]);
                       }else{
                           $('#rate'+row.toString()).val(data["case_amount"]);
                       }
                       
                         $("#case"+row.toString()).val(data["case_count"]);
                        $("#caseAmount"+row.toString()).val(data["case_amount"]);
                    }else{
                        
                         $("#case"+row.toString()).val(0);
                        $('#rate'+row.toString()).val(0);
                        $("#caseAmount"+row.toString()).val(0);
                    }
           
                },
                async: false
            });
            
            funQty(row);
  }
  
  
  
  
  function funTax(id,row){
          $.ajax({
                type : 'POST',
                data: {'id' : id,'_token':'<?php echo e(csrf_token()); ?>'},
                url : "<?php echo e(url('/purchases/taxDetails')); ?>",
                success:function(data){
                    $("#tax_per"+row).val(data["tax"]);
                     //$("#rate"+row).val(data["amount"]);
                    
                },
                async: false
            });
        
  }
  function funCal(row){
      var qty = parseFloat($("#quantity"+row).val());
      
      var msr =$("#measurement"+row).val();
      var amount = 0 ;
      if( msr === "1"){
           amount = parseFloat($("#amount"+row).val());
      }else{
           amount = parseFloat($("#caseAmount"+row).val());
      }
    
      var tax = parseFloat($("#tax_per"+row).val());
      var netamount = (qty * amount) +  ((qty * amount) * tax /100);
      $("#test"+row).val(netamount);
      
     
  }
  
  
  
  
  
    function funTotal(row){
        var rowCount = $('#purchaseTable tr').length;
        

        var total = parseFloat(0);
        var totTax = parseFloat(0);
        var totNet = parseFloat(0);
            for (var i = 1; i < rowCount; i++) {
            
               
                var amount = parseFloat($("#amount"+i).val());
                var tax = parseFloat($("#tax"+i).val());
                 var net = $("#test"+i).val();
                if(isNaN(amount)  ){
                }else{
                    total = total + amount;
                }
                if(isNaN(net)){
                    
                }else{
                   totNet = totNet + parseFloat(net); 
                }
            } 
            
            totTax = totNet *  0/100;
              $("#total").val(totNet);
            totNet =  totNet + totTax ;
            
            
           
             var tcs  =   (Math.round(totNet * 100) / 100).toFixed(2);
             $("#tcs").val(0); 
             
             
              var extra = $("#extra").val();
              
        var round_off = $("#round_off").val();
        var discount = $("#discount").val();
        var grand_total = totNet;
        if(extra){
            grand_total =  parseFloat(grand_total) + parseFloat(extra);
        }
        if(discount){
            
             grand_total =  parseFloat(grand_total) -  parseFloat(discount);
        }
        if(round_off){
            
            grand_total =  Math.ceil(grand_total);
        }
        
        
        $("#grandTotal").val((Math.round(grand_total * 100) / 100).toFixed(2));
             
        
    }
    
  </script>

  <script>
  $(function () {
    //Initialize Select2 Elements
    $('.select2').select2()

    //Initialize Select2 Elements
    $('.select2bs4').select2({
      theme: 'bootstrap4'
    })

  })
 
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.side', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/thevarholdings/public_html/Bar/resources/views/purchases/create.blade.php ENDPATH**/ ?>